####         INIT VARIABLES FOR B KING          ####################################################
##    Those are the init variables and lists      ##################################################
##    for B King                                  ##################################################
##                                                ##################################################

init -3:

    define persistent.seen_list = []
    define persistent.forbidden_tags = []
    define persistent.keep_firstname = False
    define persistent.keep_lastname = False
    define persistent.use_stock_pictures = defaultdict(bool)
    define persistent.show_girlpack_rating = None
    define persistent.skipped_events = defaultdict(bool)

init -3 python:


#### SYSTEM ####
    
    version_number = 0.1
    
    IMGFORMATS = (".jpg", ".jpeg", ".png", ".bmp", ".gif", ".webp") # .webm isn't supported for now

    config.layers.append("myoverlay")

    ## Change native ren'py keymap behavior ##
    
    config.keymap['game_menu'].remove('mouseup_3')
    config.keymap['game_menu'].append('o')
    
    config.keymap['screenshot'].remove('s')
    config.keymap['screenshot'].append('shift_S')
    
    config.keymap['toggle_fullscreen'].remove('f')
    config.keymap['toggle_fullscreen'].append('shift_F')
    
    config.keymap['toggle_music'].remove('m') 
    config.keymap['toggle_music'].append('shift_M') # This doesn't work for reasons unclear
    
    config.keymap['hide_windows'].remove('h')
    config.keymap['hide_windows'].append('shift_H')
    
    config.keymap['self_voicing'].remove('v')
    config.keymap['self_voicing'].append('shift_V')
    
    config.keymap['viewport_up'] += ('K_PAGEUP', 'repeat_K_PAGEUP')
    config.keymap['viewport_down'] += ('K_PAGEDOWN', 'repeat_K_PAGEDOWN')
    
    untagged_pics = []
    rating_dict = defaultdict(dict)

    test_event_name = ""
    
    choice_menu_girl_interact = False
    last_interact_menu = "chat"
    last_free_interact_menu = "chat"
    
    selected_view_mode = "Auto"

    
    
#### DIFFICULTY ####

    diff_dict = {
                 "very easy" : {"gold" : 1.5,
                            "stats" : 1.5,
                            "xp" : 1.5,
                            "jp" : 1.5,
                            "rep" : 1.5,
                            "prestige" : 1.5},
                 "easy" :  {"gold" : 1.25,
                            "stats" : 1.25,
                            "xp" : 1.25,
                            "jp" : 1.25,
                            "rep" : 1.25,
                            "prestige" : 1.25},
                 "normal" : {"gold" : 1.0,
                            "stats" : 1.0,
                            "xp" : 1.0,
                            "jp" : 1.0,
                            "rep" : 1.0,
                            "prestige" : 1.0},
                 "hard" :  {"gold" : 0.75,
                            "stats" : 0.75,
                            "xp" : 0.75,
                            "jp" : 0.75,
                            "rep" : 1.0,
                            "prestige" : 1.0},
                 "insane" : {"gold" : 0.5,
                            "stats" : 0.5,
                            "xp" : 0.5,
                            "jp" : 0.5,
                            "rep" : 0.75,
                            "prestige" : 0.75},
    }


#### RANDOM TIPS ####

    random_tips = [
                    "Zan is an exciting place... Make sure to explore the city regularily!",
                    "Did you know the brothel has many shortcuts? You need to find the right key...",
                    "Beautiful girls make the best masseuse.",
                    "A girl with a good Body makes a great dancer.",
                    "Charming girls will do better as waitresses.",
                    "Geishas should be refined girls to achieve the best results.",
                    "Higher-class customers are harder to satisfy, but they tip better.",
                    "Don't forget to pay for the brothel's security. Things can escalate quickly.",
                    "Your brothel gets dirty every time girls interact with customers. Your maintenance team should keep up, otherwise you'll end up spending a lot more to repair the damage later.",
                    "Advertising girls are good if you want to bring more customers to the brothel. Don't bring more than you can handle, however: unsatisfied customers will lower your reputation.",
                    "Disobedient girls are less likely to accept working or training.",
                    "Girls with high Libido are more likely to agree to and enjoy sex, and can serve multiple customers too.",
                    "Sensitive girls are good at making customers happy, regardless of the act.",
                    "Constitution determines how much energy a girl has, and how many customers she can serve.",
                    "Charm and Sensitivity make your girls better at handjobs, blowjobs and other service sex acts.",
                    "Beauty and Libido are important for regular Sex acts.",
                    "Girls with a good Body and Constitution can handle Anal sex well.",
                    "Refinement and Obedience are good for Fetish sex acts.",
                    "The brothel report has lots of useful information about the brothel. If you want information about a given girl, check out her statistics in the girl tab.",
                    "When working, girls receive both XP and JP. XP allow a girl to level up their stats and earn perks, JP allow a girl to get better at a given job or sex act. Both max out depending on her rank.",
                    "Customers' tastes are different in the kind of entertainement and sex acts they like. Variety is key to keep all customers satisfied.",
                    "Every satisfied customer increases your reputation. But unhappy customers will diss your brothel and your girls, so watch out.",
                    "Overall, customer satisfaction stems from two factors: the quality of entertainement they receive, and the quality of your whores.",
                    "Girls may become Bisexual, allowing two of them to service the same customer.",
                    "Girls may learn how to have Group sex, allowing them to serve two or three customers at the same time.",
                    "Bisexual and Group sex are always satisfying for the customers.",
                    "Upkeep is important to keep your girls in the mood. Although happy girls may work for you for little upkeep, their mood will drop dramatically if their upkeep gets too low.",
                    "Although your security will take care of most problems, your girls will need some personal defense if a crazy customer targets them directly. Beware, though, any weapon you give them could be used against you...",
                    "The most effective way to train your girls for sex acts is to do it yourself, but it's time-consuming. Maybe you can find someone who will train them for you?",
                    "Some of the people you meet can become trainers for your girls. Make sure to pick the one with the best ability for your management style.",
                    "In Zan, a reputation for good or evil can make a lot of difference. Every good or bad deed has consequences. Of course, not everything is black and white. Some people like to walk the line between both...",
                    "I hear there are girls with very loose morals hanging out in the various districts of the city. You wouldn't happen to know anything about that, would you?",
                    "The girl from the shop is always acting flirtatious and bitchy,... I don't like her. I wish we could find other places to shop to in town.",
                    "You can buy girls that have already been trained at the slave market. This can save you some time, although you can never be 100% sure about the quality of the training they received.",
                    "By talking with your girls, you can get to know them, and they might even tell you their personal stories.",
                    "Girls will love you if you act kindly towards them and let them do what they like.",
                    "Girls will fear you if you act harshly towards them et force them to do things they don't want.",
                    "When all else fails, you can lecture your girls in order to start their training. Being Charismatic helps.",
                    "Your Strength determines how good you are in a fight, or at pulling off various physical feats.",
                    "Your Spirit determines how good you are with using, detecting and resisting magic.",
                    "Charisma is important for all kinds of interactions, both with your girls and in the outside world.",
                    "Your Speed determines how many actions you can take every day. It is rarely used for anything else.",
                    "Unhappy girls may run away from you. If you cannot afford to hire bounty hunters, your last chance to get them back will be to explore the city on your own.",
                    "Don't forget to upgrade the brothel bedrooms. Girls and customers alike will see their mood deteriorate if the bedrooms are below par, especially at higher ranks.",
                    "Common rooms can host a limited number of customers. Make sure you have enough room to entertain everyone.",
                    "When a girl joins your brothel, you must have a room ready for her. Otherwise, you might have to wait until you expand to receive her.",
                    "Some people sell curious things around in the city, even monsters or animals. I'm not sure what you'd need them for.",
                    "Sex skills cannot be improved by levelling. One needs first-hand experience to learn them.",
                    "Classes are useful to improve a girl's inferior skills more quickly.",
                    "Every girl has her own reputation, separate from your brothel's. Reputation is key for a girl to reach higher ranks.",
                    "The best way to improve a girl's reputation is for her to succeed in Quests.",
                    "Sex slaves receive ranks from the Slavers guild. Ranks determines many things, including max level and max skills.",
                    "At the lowest rank, a girl's Skills are limited to 50. Every additional Rank improves the Skill maximum by 50 more.",
                    "When a girl levels up, she receives Skill points, depending on her current Rank. Also, she receives perk points every two levels.",
                    "No matter what, a girl cannot go above level 25.",
                    "I've heard a rumor about a secret Rank at the Slaver guild, higher even than Rank 'S'.",
                    "Please, Master, never ever let your money fall under zero denars! I've heard some people will try to tempt you with shady deals if you're in debt, but they just mean even more trouble.",
                    "Never trust an Elf. Don't come here saying I didn't warn you.",
                    "At higher ranks, integrating new girls can be tough. Make sure to use Classes, Items, Perks and other bonuses to help the new girl get ahead.",
                    "When you feel like you've seen it all, you can disable some night events in the H preferences menu.",
                    "Don't like the random name generation? You can disable it in the H preferences menu.",
                    "Not into some of the more hardcore acts? Disable them in the H preferences menu.",
                    "Hit 'Ctrl' to skip night events, or any dialog you've already seen.",
                    "A right click will take you back one step. Right-clicking on the main menu will bring out the Options menu.",
                    "During the day, come back to the Home screen at any time with the 'H' key.",
                    "Press 'E' to end the day and move on the the night's events.",
                    "Spells can be auto-cast, using any leftover action points you have left at the end of the day.",
                    "Pressing the 'Esc' or 'O' key will bring out the Options menu",
                    "You can come back to the latest visited location simply by using the 'L' key.",
                    "Prestige is earned whenever you or your girls have sex. Earning prestige will allow you to level up.",
                    "Your skills cannot naturally go over 10, but Items and Magic can help.",
                    "Virgin girls receive a new trait after they are deflowered, depending on the conditions under which it happened.",
                    "If your girls are in a bad mood, make sure you pay them enough, and that their accomodations are comfortable enough."
                ]
    



#### STARTING GAME VARIABLES AND OBJECTS ####
    
    ## INIT VARIABLES ##
    
#    global selected_girl
    selected_girl = None
    selected_sex_act = None
#    global selected_quest
    selected_item = None
    selected_quest = None
    selected_district = None
    selected_location = None
    selected_destination = None
    show_spellbook = False
    pers_showing = "personality"
#    vp_value = 0
    vp_adj = ui.adjustment()
    sched_adj = ui.adjustment()
    
    adjust_vp = True
    shake_count = 0
    always_show_brothel_report = False
    
    
    ## MC ##
    
    all_MC_stats = ["strength", "spirit", "charisma", "speed"]
    
    MC_playerclass_description = {
                                  "Warrior" : "You are a Warrior. You might be young, but you have seen more than your share of bloody battles. You are stronger in fights and for protecting the brothel.",
                                  "Wizard" : "You are a Wizard. People bend to your will, and your magic. You have access to the most spells.",
                                  "Trader" : "You are a Rogue Trader. You've been hustling since you were a young street rat. You can make better deals and fetch the best prices."
                                  }
    MC_stat_description = {
                            "strength" : "This is the current strength of your character. Improves security and helps in individual fights.",
                            "spirit" : "This is your magic fortitude. Spirit is the source of your mana, and improves spell results during events.",
                            "charisma" : "This covers your character personality, looks and oratory skills. Improves results during interactions.",
                            "speed" : "This is your character's level of energy. Increases the number of actions you can perform."
                            }
    
    god_description = {
                        "Arios" : "You worship Arios, god of Light and lord of the Angels.",
                        "Shalia" : "You worship Shalia, goddess of Shadows and ruler of the Night.",
                        None : "You do not worship any god, and delight instead in the wonders of the natural world."
                        }
    
    alignment_description = {
                            "good" : "Your actions have shown you to be a good person. Love-based interactions with your girls are more successful than fear-based ones.",
                            "evil" : "You are an evil man, and revel in your own cruelty. Fear-based interactions with your girls are more successful than love-based ones.",
                            "neutral" : "You are neutral, and would rather maintain balance between your own interests and those of others. Love and fear-based interactions are equally successful."
                            }
                
    
    
    ## INVENTORY ##
    
    MC_inventory_slots = ["hands", "accessory", "misc"]
    girl_inventory_slots = ["hands", "body", "neck", "finger", "accessory", "misc"]
    inventory_filters = {
                         "base" : [None, "weapon", "clothing", "trinket", "consumable", "misc"],
                         "minion_merchant" : [None, "misc"],
                         "Accessory" : [None, "trinket"],
                         "Flower" : [None, "misc"],
                         "Weapon" : [None, "weapon"],
                         "Toy" : [None, "consumable"],
                         "Ring" : [None, "trinket"],
                         "Gift" : [None, "misc"],
                         "Dress" : [None, "clothing"],
                        }
                        
    sorter_dict = {
                    "alpha" : ["A-z", "name", "name"],
                    "price" : ["0-9", "price", "price"],
                    "type" : ["Typ", "filter", "item type"],
                    "level" : ["Lvl", "level", "girl level"],
                    "rank" : ["Rk", "rank", "slave rank"],
                    "job" : ["Job", "job_sort_value", "girl job"],
                    "experience" : ["Tr.", "training_value", "sexual training level"],
                    }
                    
    ## RESOURCES ##
    
    build_resources = ["wood", "leather", "dye", "marble", "ore", "silk", "diamond"]
    
    # Exchange rates are stored as fractions for display in the resource market tab
    
    resource_gold_value = {2 : Fraction(200, 1), 3 : Fraction(1000, 1), 4 : Fraction(4000, 1)} # This is the buy value. Sell value is 25% of buy value
    resource_sell_discount = 0.1 # Adjust this as necessary
    
    resource_base_exchange_rate = {
                                    2 : {2 : Fraction(1, 3), 3 : Fraction(1, 9), 4 : Fraction(1, 81)},
                                    3 : {2 : Fraction(1, 1), 3 : Fraction(1, 3), 4 : Fraction(1, 27)},
                                    4 : {2 : Fraction(12, 1), 3 : Fraction(4, 1), 4 : Fraction(1, 1)},
                                    }
    
    
    
    ## ALERTS ##
    
    seen_alerts = {
                    "MC" : False,
                    "girls" : False,
                    "brothel" : False,
                    "district" : False,
                    "postings" : False,
                    "shop" : False,
                    "slavemarket" : False
                    }

    
    ## LICENCES ##
    
    license_dict = {
                    0 : ("No license", "missing license.webp"),
                    1 : ("Pimp license", "license1.webp"),
                    2 : ("Whoremonger license", "license2.webp"),
                    3 : ("Brothelmaster license", "license3.webp")
                   }
    


    ## BROTHEL PICS AND ROOMS ##

init python:
    
    brothel_images = {1 : renpy.image("brothel1", im.Scale("brothels/" + brothel_pics[1], config.screen_width, config.screen_height)),
                      2 : renpy.image("brothel2", im.Scale("brothels/" + brothel_pics[2], config.screen_width, config.screen_height)),
                      3 : renpy.image("brothel3", im.Scale("brothels/" + brothel_pics[3], config.screen_width, config.screen_height)),
                      4 : renpy.image("brothel4", im.Scale("brothels/" + brothel_pics[4], config.screen_width, config.screen_height)),
                      5 : renpy.image("brothel5", im.Scale("brothels/" + brothel_pics[5], config.screen_width, config.screen_height)),
                      6 : renpy.image("brothel6", im.Scale("brothels/" + brothel_pics[6], config.screen_width, config.screen_height)),
                      7 : renpy.image("brothel7", im.Scale("brothels/" + brothel_pics[7], config.screen_width, config.screen_height)),
                      }
    
    room_dict = {
                1 : Room("Basic room", 1),
                2 : Room("+Basic room+", 2),
                3 : Room("*Basic room*", 3),
                4 : Room("Standard room", 4),
                5 : Room("+Standard room+", 5),
                6 : Room("*Standard room*", 6),
                7 : Room("Elegant room", 7),
                8 : Room("+Elegant room+", 8),
                9 : Room("*Elegant room*", 9),
                10 : Room("Noble suite", 10),
                11 : Room("+Royal suite+", 11),
                12 : Room("*Imperial suite*", 12)
                }
    
    common_room_dict = {
                        "tavern" : Room("tavern", 0, "special", job = "waitress"),
                        "club" : Room("strip club", 0, "special", job = "dancer"),
                        "onsen" : Room("onsen", 0, "special", job = "masseuse"),
                        "okiya" : Room("okiya", 0, "special", job = "geisha"),
                        }
    
    master_bedrooms = {
                        0 : Room("Single room", level=0, type="master", cost=0),
                        1 : Room("Double room", level=1, type="master", cost=750),
                        2 : Room("Small suite", level=2, type="master", cost=2500),
                        3 : Room("Luxury suite", level=3, type="master", cost=7500),
                        4 : Room("Royal suite", level=4, type="master", cost=25000),
                        5 : Room("Royal harem", level=5, type="master", cost=75000),
                        }
    
#    all_common_rooms = [tavern, club, onsen, okiya]
    all_common_rooms = ["tavern", "club", "onsen", "okiya"]
    job_room_dict = {"waitress" : "tavern",
                     "dancer" : "club",
                     "masseuse" : "onsen",
                     "geisha" : "okiya",
                     "whore" : "bedroom"
                     }
    
    room_capacity_dict = {0 : 4, 1 : 4, 2 : 6, 3 : 8, 4 : 10, 5 : 12, 6 : 14, 7 : 16}
    
    ## ITEM TYPES
    
    IT_Weapon = ItemType("Weapon", usage = "wear", slot = "hands", filter = "weapon", sound = "sword sheath.mp3")
    IT_Dress = ItemType("Dress", usage = "wear", slot = "body", filter = "clothing", sound = "equip dress.ogg", adjectives = "dress")
    IT_Ring = ItemType("Ring", usage = "wear", slot = "finger", filter = "trinket", sound = "equip item.wav", adjectives = "ring")
    IT_Necklace = ItemType("Necklace", usage = "wear", slot = "neck", filter = "trinket", sound = "equip item.wav", adjectives = "necklace")
    IT_Accessory = ItemType("Accessory", usage = "wear", slot = "accessory", filter = "clothing", sound = "equip item.wav", adjectives = "dress")
    IT_Toy = ItemType("Toy", usage = "auto_rest", filter = "consumable", sound = "vibro.ogg")
    IT_Supplies = ItemType("Supplies", usage = "auto_work", filter = "consumable", sound = "spell.ogg")
    IT_Food = ItemType("Food", usage = "buff", filter = "consumable", sound = "crunch.ogg", adjectives = "food")
    IT_Gift = ItemType("Gift", usage = "give", sound = "uhm.mp3", adjectives = "misc")
    IT_Flower = ItemType("Flower", usage = "give", sound = s_surprise, adjectives = "misc", dir="Gift")
    IT_Misc = ItemType("Misc", usage = "use", sound = "spell.ogg", adjectives = "misc")
    IT_Story = ItemType("Misc", usage = None, sound = "spell.ogg", adjectives = "misc")
    IT_Passive = ItemType("Misc", usage = "wear", slot = "misc", sound = "equip item.wav", adjectives = "misc")
    
    all_equipement_types = ["weapon", "dress", "ring", "necklace", "accessory", "passive"]
                   
                   
    ## CITY BUTTONS
    
    location_tb = {"visit_willow" : "tb willow",
                             "visit_goldie" : "tb goldie",
                             "visit_watchtower" : "tb captain",
                             "visit_gina" : "tb gina",
                             "visit_thieves_guild" : "tb renza",
                             "visit_stella" : "tb stella",
                             "visit_giftgirl" : "tb giftgirl",
                             "visit_ramias" : "tb ramias",
                             "visit_gurigura" : "tb gurigura",
                             "visit_riche" : "tb riche",
                             "visit_katryn" : "tb katryn",
                             "visit_twins" : "tb twins",
                             "visit_bank" : "tb banker",
                             "visit_exchange" : "tb bast",
                             
                             "collect_wood" : "tb wood",
                             "collect_leather" : "tb leather",
                             "collect_dye" : "tb dye",
                             "collect_ore" : "tb ore",
                             "collect_marble" : "tb marble",
                             "collect_silk" : "tb silk",
                             "collect_diamond" : "tb diamond",
                            }
    
    ## FURNITURE
    
    # A tuple (type, description)
    
    furniture_types = [("Decoration", "Attracts new kinds of customers to your brothel"),
                       ("Furnishing", "Unlocks more options for attracting customers"),
                       ("Utility", "Help with advertising, security and maintenance"),
                       ("Comfort", "Help your girls feel more comfortable in the brothel"),
                       ("Windows", "Influences your girl's preferences"),
                       ("Altars", "Pray here and get results, for once"),
                       ("Gizmos", "Strange artifacts from a bygone technological age")
                       ]
    
    ## FARM
    
    installation_price = {0: 100,
                          1: 250,
                          2: 500,
                          3: 1000,
                          4: 1750
                          }
    
    minion_xp_to_level = {0: 0,
                          1: 10,
                          2: 25,
                          3: 50,
                          4: 100,
                          5: 250
                          }
    
    minion_price = {0: 100,
                    1: 200,
                    2: 300,
                    3: 400,
                    4: 500,
                    5: 750
                    }
    
    minion_description = {"stallion" : "Stallions are male sex slaves from the blood islands, magically brainwashed and bred selectively for their abnormally large dicks....", 
                         "beast" : "Beasts are all sorts of animals that Gizel keeps around at the farm. More like a zoo, really.", 
                         "monster" : "Monsters are unnatural fiends crawling inside the darkest caves of Xeros. They come in many forms, but the ones with tentacles are the most sought after.", 
                         "machine" : "Machines or artefacts have many uses, but in Gizel's workshop, they really only seem to be designed for one thing: sex."
                         }
    
    all_minion_types = ["stallion", "beast", "monster", "machine"]

    farm_pics = {"stallion" : [], 
                 "beast" : [], 
                 "monster" : [], 
                 "machine" : []
                 }
    
    farm_holding_dict = {"libido" : "Tending to minions (Lib)",
                            "sensitivity" : "Tending to Gizel (Sen)",
                            "obedience" : "Cleaning up the farm (Ob)",
                            "constitution" : "Working outside (Con)",
                            "rest": "Resting",
                            }
    
    farm_description = {"stallion intro" : "%s spent the night in the stables with a well-hung stallion.", 
                        "beast intro" : "%s spent the night in the pig stalls with a horny, filthy animal.", 
                        "monster intro" : "%s spent the night in the monster den with a lewd, disgusting creature.", 
                        "machine intro" : "%s spent the night in the workshop attached to a large and strange machine.",
                        "stallion intro plural" : "%s spent the night in the stables with %s well-hung stallions.", 
                        "beast intro plural" : "%s spent the night in the pig stalls with %s drooling, horny beasts.", 
                        "monster intro plural" : "%s spent the night in the monster den, harassed by %s lewd and disgusting creatures.", 
                        "machine intro plural" : "%s spent the night in the workshop strapped to an array of %s arcane machines.",
                        "naked intro" : "Gizel paraded %s naked in front of %s.",
                        "service intro" : "Gizel pushed %s to her knees and made her service %s.",
                        "sex intro" : "Gizel told %s to fuck %s.",
                        "anal intro" : "Gizel told %s to let %s fuck her ass.",
                        "fetish intro" : "Gizel showed %s the chains on the wall and told her she'd watch %s have its way with her.",
                        "bisexual intro" : "Gizel decided to join %s for a little fun with a %s.",
                        "group intro" : "Gizel told %s to get ready to have sex with a group of %ss.",
                        
                        "stallion 3" : " %s couldn't take her eyes off the stallion's rock-hard cock. {color=[c_green]}Her training went well.{/color}",
                        "stallion 2" : " %s was impressed and a little worried upon seeing the size of the stallion's hard cock. {color=[c_white]}Her training went normally.{/color}",
                        "stallion 1" : " The stallion's large dick scared %s and she recoiled fearfully. {color=[c_red]}Her training went poorly.{/color}",
                        "beast 3" : " %s was curious and aroused by the weird shape and smell of the beast's genitals. {color=[c_green]}Her training went well.{/color}",
                        "beast 2" : " %s felt uncomfortable around the animals and their weird bodies. {color=[c_white]}Her training went normally.{/color}",
                        "beast 1" : " %s couldn't believe she was being treated like a farm animal and stood as far as she could from the beasts. {color=[c_red]}Her training went poorly.{/color}",
                        "monster 3" : " %s felt incredibly aroused by the pheromones emanating from the monster. {color=[c_green]}Her training went well.{/color}",
                        "monster 2" : " %s felt weakened and confused by the monster's strange musk. {color=[c_white]}Her training went normally.{/color}",
                        "monster 1" : " %s felt disgusted and nauseous because of the monster's icky smell. {color=[c_red]}Her training went poorly.{/color}",
                        "machine 3" : " The cold touch of metal and the elastic feel of rubber against her skin sent %s over the top. {color=[c_green]}Her training went well.{/color}",
                        "machine 2" : " %s felt very odd attached to a strange, vibrating artefact in the middle of a workshop full of bizarre sex toys. {color=[c_white]}Her training went normally.{/color}",
                        "machine 1" : " %s was scared by the spiky, threatening look of the machine and couldn't relax. {color=[c_red]}Her training went poorly.{/color}",
                        
#                        "naked result good" : "{color=[c_green]}%s was aroused by having her body on display before the %s, her nipples becoming visibly erect.{/color} Gizel pinched them hard, teasing her mercilessly.",
#                        "naked result average" : "{color=[c_white]}%s felt confused and ashamed, standing naked and exposed.{/color} She blushed as Gizel made her display every part of her body to the %s.",
#                        "naked result bad" : "{color=[c_lightred]}%s cowered and cried as she was made to stand naked in front of the %s.{/color}.Gizel commented harshly on her poor performance.",
#                        "service result good" : "{color=[c_green]}%s kneeled and starting working on the %s. She did her best to frown and hide her enjoyment, but Gizel could see she was getting wet.{/color}",
#                        "service result average" : "{color=[c_white]}%s did what she was asked, polishing the %s's strange dick with her lips and tongue.{/color}",
#                        "service result bad" : "{color=[c_lightred]}Tears ran down %s's cheeks as the %s forcefully fucked her throat.{/color}",
#                        "sex result good" : "{color=[c_green]}%s could hardly hide her sighs and screams of pleasure as the %s started fucking her mercilessly.{/color}",
#                        "sex result average" : "{color=[c_white]}%s shivered and moaned as the %s pumped its large, strange dick back and forth inside her tight pussy.{/color}",
#                        "sex result bad" : "{color=[c_lightred]}%s screamed in pain and fought weakly as the %s violently fucked her.{/color}",
#                        "anal result good" : "{color=[c_green]}%s yelled with pleasure as her ass got ravaged by the %s's large cock.{/color}",
#                        "anal result average" : "{color=[c_white]}%s moaned with a mix of pain and shameful pleasure as the %s violated her asshole.{/color}",
#                        "anal result bad" : "{color=[c_lightred]}%s screamed in pain and cried bitterly as the %s forced its large cock inside her tight asshole.{/color}",
#                        "fetish result good" : "{color=[c_green]}%s squirmed with confusion and pleasure, and quickly reached climax as the %s relentlessly violated her bound body.{/color}",
#                        "fetish result average" : "{color=[c_white]}%s screamed and moaned as the %s inflicted a strange mix of pain and pleasure on her weak body.{/color}",
#                        "fetish result bad" : "{color=[c_lightred]}%s shrieked with pain as the %s ruthlessly defiled her defenseless body.{/color}",
#                        "bisexual result good" : "{color=[c_green]}%s and Gizel strated licking and fingering each other's pussy, and soon forgot the %s as they passionately brought each other to climax.{/color} Gizel was very satisfied.",
#                        "bisexual result average" : "{color=[c_white]}Gizel forced %s to service both her and the %s.{/color} They both came forcefully on the poor girl's face. She was left confused by the whole ordeal.",
#                        "bisexual result bad" : "{color=[c_lightred]}%s was disgusted and tried to let out muffled screams as Gizel forcefully buried her pussy into her face, nearly choking her, while the %s tended to her other holes.{/color}",
#                        "group result good" : "{color=[c_green]}As %s and the %ss fucked in a variety of positions, she started enjoying herself and taking the lead, showing the minions which holes to use invitedly.{/color}",
#                        "group result average" : "{color=[c_white]}Grumbling, %s followed orders and used all of her holes to pleasure the %ss. However, she didn't seem to hate it as much as she was pretending to.{/color}",
#                        "group result bad" : "{color=[c_lightred]}%s cried and screamed as the %ss took turns violating her body.{/color} Gizel kept tauting her during the whole ordeal as she sobbed silently.",
                        "pen obedience": "%s reflected on her unfortunate circumstances and misdeeds that brought her to the farm. {color=[c_green]}She thinks that perhaps, if she was more obedient, she wouldn't get in trouble.{/color}",
                        "pen constitution": "Even though she was locked in, %s was determined to stay in shape. {color=[c_green]}She did some abs and push ups and has become fitter.{/color}",
                        "pen sensitivity": "%s was bored and started thinking about the weird creatures in the farm and their more 'unusual' features. {color=[c_green]}Soon, she was feeling flushed and strangely aroused.{/color}",
                        "pen libido": "%s was feeling bored and horny, so she decided to masturbate a little, listening to the strange noises of the farm. {color=[c_green]}She enjoyed herself.{/color}",
                        "holding obedience" : "Gizel sent %s to clean up the farm, telling her to scrub every corner of the barn and wash the multiple stains on the floor. %s did what she was asked, rather than face the threat of Gizel's magical lash.",
                        "holding constitution" : "Gizel made %s run laps around the back on the horsetrack, giving %s vicious swats with a riding crop whenever she caught her slowing down.",
                        "holding sensitivity" : "Gizel used %s as her personal servant to pursue her perverted fantasies, forcing her to lick her body and use various toys on her hungry holes. It was tough, but %s learnt new things.",
                        "holding libido" : "Gizel asked %s to tend to the minions: feeding them, cleaning them, and helping them 'release their stress'. %s learnt a good deal about the minions' peculiar anatomy as she worked.",
                        "holding obedience good": " As an added challenge, Gizel made %s wear tight ropes bound across her body as she went with her work. {color=[c_green]}The rough ropes rubbed against her body in a way both uncomfortable and oddly arousing.{/color}",
                        "holding obedience bad": " {color=[c_lightred]}%s was disgusted by all the filth and bodily fluids left over by Gizel's minions.{/color}",
                        "holding constitution good": " Gizel thought it would drive %s wilder to roam outside free of clothes, so she made her run naked alonside the horses. {color=[c_green]}Being naked outdoor with the animals made her more comfortable with her body.{/color}",
                        "holding constitution bad": " {color=[c_lightred]}As %s completed her laps in record timing, she gave Gizel a contemptuous and defiant look.{/color}",
                        "holding sensitivity good": " %s gives Gizel a wonderful orgasm as she licks her erect clit with a skillful tongue. {color=[c_green]}She is now more familiar with ways to pleasure a woman.{/color}",
                        "holding sensitivity bad": " Gizel worked %s too hard, leaving her exhausted and panting on the floor. {color=[c_lightred]}Her constitution has suffered.{/color}",
                        "holding libido good": " {color=[c_green]}Several hours spent working with the minions have allowed %s to increase her technique.{/color}",
                        "holding libido bad": " {color=[c_lightred]}As a result of spending too many hours jerking off minions, %s's technique has become more mechanical.{/color}",
                        }
    
    farm_holding_stats = {"constitution" : ("naked", "obedience"), "obedience" : ("fetish", "libido"), "sensitivity" : ("bisexual", "constitution"), "libido" : ("service", "sensitivity")}
    
    farm_holding_tags = {"constitution" : ["run", "constitution"], "obedience" : ["maid", "obedience"], "sensitivity" : ["sensitivity"], "libido" : ["libido"]}
    
    pref_response = {
                    "repressed refuses" : "Me, %s? NO!!! Don't!!! Don't do that to me! *horrified*",
                    "repressed very reluctant" : "Wait, %s? This is outrageous! It's digusting, it's dirty... Please stop! *scared*",
                    "repressed reluctant": "No, don't look at me... It's not right, %s... I feel so ashamed... *embarrassed*",
                    "repressed a little reluctant" : "I don't really want to do this, %s... It's wrong... Aaah! *shy*",
                    "repressed indifferent" : "Oh, making me do this, %s again... You're such a pervert... *blush*",
                    "repressed a little interested" : "Mmmh, it's like I'm getting used to %s... Wait, I didn't mean that! *panic*",
                    "repressed interested" : "Ah, %s... It's not so bad... Mmmh... *flushed*",
                    "repressed very interested" : "Oh, I think I love %s... I feel like a slut... *moan*",
                    "repressed fascinated" : "I can't believe it, %s feels so good... Look at me! I've become a dirty, dirty bitch! *cumming*",
                    "lewd refuses": "NO, not %s!!! Don't touch me, I HATE it!!! *horrified*",
                    "lewd very reluctant": "I told you I hate %s... Why do I have to keep doing this? Ah!!! *ashamed*",
                    "lewd reluctant": "You know I don't like %s... Don't look at me... Ahaa! *embarrassed*",
                    "lewd a little reluctant": "You're doing perverted things to me again, %s... It makes me feel strange... *shy*",
                    "lewd indifferent": "Mmmh, %s... *blush*",
                    "lewd a little interested": "Oh, %s, that's good... *licks her lips*",
                    "lewd interested": "Mmmh, %s... I feel wet already... *flushed*",
                    "lewd very interested": "Oh, %s, it makes me so horny... I get so wet when being watched... Aaaah!!! *moan*",
                    "lewd fascinated": "Oh... I'm about to come already! Ahaaa, %s is the best!!! *cumming*",
                    }
    
    minion_adjectives = {"stallion" : ["erect", "drooling", "horny", "well-built", "snorting", "bulky", "nickering", "sleazy"], 
                         "beast" : ["drooling", "horny", "filthy", "dirty", "rowdy", "excited", "fat"], 
                         "monster" : ["horny", "gooey", "filthy", "dirty", "large", "wiggly", "weird-looking", "strange", "sleazy"], 
                         "machine" : ["buzzing", "strange", "weird-looking", "bizarre", "enchanted", "convoluted", "protruding"],
                         }
    
    minion_name_dict = {
                        "consonants" : ["q", "w", "r", "t", "p", "s", "d", "f", "g", "h", "j", "k", "l", "z", "x", "c", "v", "b", "n", "m"],
                        "vowels" : ["a", "e", "i", "o", "u", "y"],
                        "monster1" : ["gr", "kr", "le", "ry", "shr", "dr", "kz", "gz", "th", "bl", "kl", "wr", "qr", "mr", "sh"],
                        "monster2" : ["ck", "k", "rk", "rz", "rm", "xx", "uz", "oo", "hu", "qq", "tz", "zt", "rh", "th"],
                        }
    
    girl_name_dict = {"syllabs" : ["sha", "she", "shee", "shi", "wa", "ri", "ree", "ra", "ru", "ti", "ta", "ty", "ya", "yu", "sa", "so", "su", "se", "sy", "da", "de", "di", "do", "dy", "fa", "fe", "fio", "fia", "gi", "hu", "ha", "hyu", "ja", "ju", "ji", "ka", "ky", "ki", "kyo", "kyu", "la", "li", "le", "lo", "lu", "lyu", "lia", "lya", "lee", "loo", "za", "zi", "zu", "ze", "zee", "xa", "xy", "xe", "ca", "ce", "chi", "chu", "va", "vi", "vy", "ve", "bu", "be", "na", "ne", "ni", "nya", "nyu", "nee", "ma", "mu", "me", "mi", "myu", "mia", "mya"],
                      "fillers" : ["n", "r", "l", "s", "'", "", "", ""],
                      "enders" : ["n", "l", "nn", "a", "ya", "na", "ly", "", "", ""],
                      "last_syllabs" : ["jo", "sho", "to", "ya", "ma", "mi", "yo", "ko", "na", "ye", "yu", "ka", "ta", "fu", "ro", "sa", "shi", "ki", "no", "ra", "re", "tsu", "chi", "shi", "se", "n", "mu", "ne", "kyo", "ku"],
                      }
    
    
    farm_type_list = ["machine", "beast", "monster", "stallion"]
    farm_inst_list = ["stables", "pig stall", "monster den", "workshop"]
    farm_installations_dict = {"machine" : "workshop", "beast" : "pig stall", "monster" : "monster den", "stallion" : "stables"}
    
    
    ## CITY MERCHANTS
    
    merchant_dict = {"Stella" : "stallion", "Goldie" : "beast", "Willow" : "monster", "Gina" : "machine"}
    
    merchant_greetings = {
                          "Stella greeting" : "Hmpf, look who's come here. I hope you're not going to waste my time.", 
                          "Stella bought something" : "Fine, give me the gold, and it's yours. Now go, unless you're buying something else.{w=2.0}{nw}", 
                          "Stella no money" : "You ain't got the coin, pal. Get out of here.",
                          
                          "Goldie greeting" : "How can I help you?", 
                          "Goldie bought something" : "Thank you! Please treat it with care.{w=2.0}{nw}", 
                          "Goldie no money" : "I'm sorry, but you don't seem to have enought money right now.",
                          
                          "Willow greeting" : "Hey, if it isn't my friendly neighbor! You'll be amazed to see what I just caught.", 
                          "Willow bought something" : "Deal, just take it... You're gonna have fun!{w=2.0}{nw}", 
                          "Willow no money" : "Aw, you meanie, are you trying to take advantage of me? Your pouch is empty!",
                          
                          "Gina greeting" : "Mmh, what if I adjusted this button... No, that's not it... Sorry. How can I help you?", 
                          "Gina bought something" : "Sure, I didn't need this anyway...{w=2.0}{nw}", 
                          "Gina no money" : "Sorry, but this is expensive equipment. Don't touch it unless you have the coin to buy it.",
                          
                          "Riche greeting" : "Oh, hello. *smile*",
                          "Riche bought something" : "Thank you! Come again soon!{w=2.0}{nw}",
                          "Riche no money" : "Oh, sorry... But you haven't got the gold.",
        
                          "Ramias greeting" : "Oh, it's you... Greetings.",
                          "Ramias bought something" : "Thank you. You will not be disappointed.{w=2.0}{nw}",
                          "Ramias no money" : "Hmm... It doesn't look like you have enough gold.",
        
                          "Gurigura greeting" : "Hiii!!! *smile*",
                          "Gurigura bought something" : "Thaaank yooou! Teehee.{w=2.0}{nw}",
                          "Gurigura no money" : "Hey, wait a minute... You don't have enough fold, mister!",
        
                          "Katryn greeting" : "Oh, hi. I hope you're not going to waste my time.",
                          "Katryn bought something" : "Give me the money first... Good.{w=2.0}{nw}",
                          "Katryn no money" : "What the... You haven't got the gold, stupid!",
        
                          "Gift Shop Girl greeting" : "Oh, hello. *smile*{w=2.0}{nw}",
                          "Gift Shop Girl bought something" : "Thank you, dear sir.{w=2.0}{nw}",
                          "Gift Shop Girl no money" : "Sorry sir... But you haven't got the gold.",
        
                          "Today greeting" : "Hi there, big bro! What can we help you with? *smile*",
                          "Yesterday greeting" : "Ah... Hello... *blush*",
                          "Today bought something" : "Thank you, big bro! *wink*{w=2.0}{nw}",
                          "Yesterday bought something" : "Thanks.{w=2.0}{nw}",
                          "Today no money" : "Hold it, bro. You don't have the gold to pay for this.",
        
                          }
    
    
    
    
    
    
    ## POPULATIONS ##
    
    pop_name_dict = {
                    "beggars" : ("vagrant", "shabby-looking guy", "beggar", "street wanderer"), 
                    "thugs" : ("ruffian", "thug", "bandit", "petty thief", "rogue"),
                    "laborers" : ("laborer", "worker", "street peddler", "servant", "peasant"),
                    "sailors" : ("pirate", "sailor", "docker", "shipmate", "ol' seadog", "mariner"),
                    "commoners" : ("commoner", "overseer", "clerk", "trader", "guard", "builder", "acolyte"),
                    "craftsmen": ("craftsman", "artisan", "blacksmith", "carpenter", "artificer", "mason"),
                    "bourgeois" : ("trader", "bookkeeper", "herborist", "shopkeeper", "innkeeper", "priest", "squire"),
                    "guild members" : ("guild member", "inventor", "illusionist", "slave trader", "spice trader", "guard captain"),
                    "patricians" : ("patrician", "landowner", "banker", "city official", "knight", "bishop"),
                    "aristocrats" : ("aristocrat", "lord", "gentleman", "court wizard", "courtier", "governor", "guild master"),
                    "nobles" : ("noble", "count", "highborn", "knight commander", "baron", "earl", "viscount", "cardinal"),
                    "royals" : ("marquis", "prince", "viceroy", "duke", "patriarch")
                    }
    
    # Maximum difficulty for a given customer rank
    customer_rank_dict = {
                          1 : 40,
                          2 : 70,
                          3 : 110,
                          4 : 160,
                          5 : 1000,
                          }
    
    attract_pop_dict = {0 : "      ", 1 : "A few ", 2: "Some  ", 3 : "Many  ", 4 : "A lot ", 5 : "Loads "}
    
    # Encounters are tuples with label (used with prefix "city_") and probability. Tuples can be used with multiple labels
    
    encounters = (("none", 10), ("gossip", 30), ("ambush", 5), ("rob", 5), ("luck", 15), ("mob", 5), (("rape", "impress", "slave"), 10), (("gamble", "thief", "wrestle"), 10), (("cat", "secret", "gypsy"), 10))
    
    encounter_pics = {
                      "rape" : ("monster1.jpg", "monster2.jpg", "monster3.jpg", "monster4.jpg", "monster5.jpg", "monster6.jpg", "monster7.jpg", "monster8.jpg", "monster9.jpg", "monster10.jpg"),
                      "impress" : "impress0.jpg",
                      "impress1" : ("impress1_1.jpg", "impress1_2.jpg", "impress1_3.jpg", "impress1_4.jpg", "impress1_5.jpg", "impress1_6.jpg", "impress1_7.jpg", "impress1_8.jpg", "impress1_9.jpg", "impress1_10.jpg"),
                      "impress2" : ("impress2_1.jpg", "impress2_2.jpg"),
                      "impress3" : ("impress3_1.jpg", "impress3_2.jpg", "impress3_3.jpg"),
                      "impress4" : "impress4.jpg",
                      "slave" : ("slave1.jpg", "slave2.jpg", "slave3.jpg", "slave4.jpg", "slave5.jpg", "slave6.jpg", "slave7.jpg", "slave8.jpg", "slave9.jpg", "slave10.jpg"),
                      "slave_service" : (("slave service1.jpg","slave service2.jpg", "slave service3.jpg", "slave service4.jpg"), ("slave service5.jpg","slave service6.jpg", "slave service7.jpg", "slave service8.jpg")),
                      "slave_sex" : (("slave sex1.jpg","slave sex2.jpg", "slave sex3.jpg", "slave sex4.jpg"), ("slave sex5.jpg","slave sex6.jpg", "slave sex7.jpg", "slave sex8.jpg")),
                      "slave_anal" : (("slave anal1.jpg","slave anal2.jpg", "slave anal3.jpg", "slave anal4.jpg"), ("slave anal5.jpg","slave anal6.jpg", "slave anal7.jpg", "slave anal8.jpg")),
                      "slave_fetish" : (("slave fetish1.jpg","slave fetish2.jpg", "slave fetish3.jpg", "slave fetish4.jpg"), ("slave fetish5.jpg","slave fetish6.jpg", "slave fetish7.jpg", "slave fetish8.jpg")),
                      "slave_success" : ("slave service9.jpg","slave service10.jpg", "slave service11.jpg", "slave service12.jpg"),
                      "gamble" : (("gambler1_1.jpg", "gambler1_2.jpg", "gambler1_3.jpg"), ("gambler2_1.jpg", "gambler2_2.jpg", "gambler2_3.jpg"), ("gambler3_1.jpg", "gambler3_2.jpg", "gambler3_3.jpg"), ("gambler4_1.jpg", "gambler4_2.jpg", "gambler4_3.jpg"), ("gambler5_1.jpg", "gambler5_2.jpg", "gambler5_3.jpg"), ("gambler6_1.jpg", "gambler6_2.jpg", "gambler6_3.jpg"), ("gambler7_1.jpg", "gambler7_2.jpg", "gambler7_3.jpg"), ("gambler8_1.jpg", "gambler8_2.jpg", "gambler8_3.jpg"), ("gambler9_1.jpg", "gambler9_2.jpg", "gambler9_3.jpg")), 
                      "thief" : ("thief1.jpg", "thief2.jpg", "thief3.jpg", "thief4.jpg", "thief5.jpg", "thief6.jpg"),
                      "wrestle" : ("arm wrestling1.jpg", "arm wrestling2.jpg", "arm wrestling3.jpg", "arm wrestling4.jpg", "arm wrestling5.jpg"),
                      "cat" : ("cat1.jpg", "cat2.jpg", "cat3.jpg", "cat4.jpg", "cat5.jpg", "cat6.jpg", "cat7.jpg", "cat8.jpg", "cat9.jpg", "cat10.jpg"),
                      "cat_found" : ("cat found.jpg",),
                      "cat_sex" : (("catsex1_1.jpg", "catsex1_2.jpg"), ("catsex2_1.jpg", "catsex2_2.jpg"), ("catsex3_1.jpg", "catsex3_2.jpg"), ("catsex4_1.jpg", "catsex4_2.jpg"), ("catsex5_1.jpg", "catsex5_2.jpg"), ("catsex6_1.jpg", "catsex6_2.jpg"), ("catsex7_1.jpg", "catsex7_2.jpg"), ("catsex8_1.jpg", "catsex8_2.jpg"), ("catsex9_1.jpg", "catsex9_2.jpg"), ("catsex10_1.jpg", "catsex10_2.jpg"), ("catsex11_1.jpg", "catsex11_2.jpg")), 
                      "cat_duo" : (("catduo1_1.jpg", "catduo1_2.jpg", "catduo1_3.jpg", "catduo1_4.jpg"), ("catduo2_1.jpg", "catduo2_2.jpg", "catduo2_3.jpg", "catduo2_4.jpg"), ("catduo3_1.jpg", "catduo3_2.jpg", "catduo3_3.jpg", "catduo3_4.jpg")),
                      "secret" : ("secret1.jpg", "secret2.jpg", "secret3.jpg"), 
                      "secret_empty" : ("secret empty1.jpg", "secret empty2.jpg", "secret empty3.jpg"), 
                      "secret_girl" : ("secret girl1.jpg", "secret girl2.jpg", "secret girl3.jpg", "secret girl4.jpg", "secret girl5.webp", "secret girl6.jpg", "secret girl7.jpg", "secret girl8.jpg", "secret girl9.jpg", "secret girl10.jpg"), 
                      "gypsy" : (("gypsy1_0.webp", "gypsy1_2.jpg", "gypsy1_3.jpg"), ("gypsy1_1.webp", "gypsy1_2.jpg", "gypsy1_3.jpg"), ("gypsy2_1.webp", "gypsy2_2.jpg", "gypsy2_3.jpg"), ("gypsy3_1.webp", "gypsy3_2.jpg", "gypsy3_3.jpg"), ("gypsy4_1.webp", "gypsy4_2.jpg", "gypsy4_3.jpg"), ("gypsy5_1.webp", "gypsy5_2.jpg", "gypsy5_3.jpg"), ("gypsy6_1.webp", "gypsy6_2.jpg", "gypsy6_3.jpg"), ("gypsy7_1.webp", "gypsy7_2.jpg", "gypsy7_3.jpg"), ("gypsy8_1.webp", "gypsy8_2.jpg", "gypsy8_3.jpg")),
                      "rob" : (("rob1_1.webp", "rob1_2.jpg"), ("rob2_1.webp", "rob2_2.jpg"), ("rob3_1.webp", "rob3_2.jpg"), ("rob4_1.webp", "rob4_2.jpg"), ("rob5_1.webp", "rob5_2.jpg"), ("rob6_1.webp", "rob6_2.jpg"), ("rob7_1.webp", "rob7_2.jpg"), ("rob8_1.webp", "rob8_2.jpg"), ("rob9_1.webp", "rob9_2.webp"), ("rob10_1.webp", "rob10_2.jpg")), 
                      "ambush" : ("ambush1.jpg", "ambush2.jpg", "ambush3.jpg", "ambush4.jpg", "ambush5.jpg", "ambush6.jpg"),
                      "mob" : ("mob1.jpg", "mob2.jpg", "mob3.jpg"),
                      "mob_sex" : ("mob sex1.jpg", "mob sex2.jpg", "mob sex3.jpg"), 
                      }
    

    ## WEEK DAYS ##
    
    weekdays = ("Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday")
    
    
    ## MC picture index
    
    MC_class_index = {"Warrior" : 0, "Wizard" : 3, "Trader" : 6}
    
    
    
    ## JOBS and SEX ACTS
    
    all_jobs = ["waitress", "dancer", "masseuse", "geisha"]
    all_sex_acts = ["service", "sex", "anal", "fetish"]
    extended_sex_acts = ["naked", "service", "sex", "anal", "fetish", "bisexual", "group"]
    farm_hardcore_acts = ["beast", "monster", "machine"]
    
    normal_tags = ["profile", "portrait", "rest", "waitress", "dancer", "masseuse", "geisha"]
    all_farm_tags = ["big", "beast", "monster", "machine"]
                      
    job_sort_value = {"whore" : 0, "waitress" : 10, "dancer" : 20, "masseuse" : 30, "geisha" : 40, None : 90, "hurt" : 80, "away" : 70, "farm" : 70}
    
    job_color = {"whore" : c_red, "waitress" : c_lightgreen, "dancer" : c_pink, "masseuse" : c_yellow, "geisha" : c_magenta, None : c_white, "hurt" : c_red, "away" : c_lightblue, "farm" : c_brown}
    

    ## STAT NAMES ##
    
    
    gstats_main = [
        "Charm",
        "Beauty",
        "Body",
        "Refinement",
        "Sensitivity",
        "Libido",
        "Constitution",
        "Obedience",
        ]

    gstats_sex = [
        "Service",
        "Sex",
        "Anal",
        "Fetish"
        ]


    ## STAT DESCRIPTION ##
    
    gstats_dict = {
                    "Beauty" : "How beautiful she looks. Affects work as a masseuse and regular sex.",
                    "Body" : "How well-shaped and firm her body is. Affects work as a dancer and anal sex.",
                    "Charm" : "How much personality and presence she has. Affects work as a waitress and sexual service.",
                    "Refinement" : "How intelligent and knowledgeable about the world she is. Affects work as a geisha and fetish sex acts.",
                    "Libido" : "How eager for sex she is. Affects regular sex and improves the number of customers she can have sex with.",
                    "Sensitivity" : "How sensitive she is to her body and her partners. Affects sexual service and improves customer satisfaction.",
                    "Constitution" : "How much stamina she has. Affects anal sex and improves her maximum energy.",
                    "Obedience" : "How receptive she is to orders and servitude. Affects fetish sexual acts and lowers her chances of refusing to work.",
                    "Service" : "How good she is with handjobs, blowjobs and other sexual services.",
                    "Sex" : "How good she is at regular sex.",
                    "Anal" : "How good she is at anal sex.",
                    "Fetish" : "How good she is at BDSM and other unusual requests."
                    }
    
    gstats_descript = {
                       "beauty" : "a beautiful girl",
                       "body" : "a girl with a hot body",
                       "charm" : "a charming girl",
                       "refinement" : "a refined girl",
                      }
    
    MC_stat_color = {
                    "strength" : "{color=[c_darkred]}%s{/color}",
                    "defense" : "{color=[c_darkred]}%s{/color}",
                    "spirit" : "{color=[c_darkblue]}%s{/color}",
                    "charisma" : "{color=[c_emerald]}%s{/color}",
                    "speed" : "{color=[c_lightblue]}%s{/color}",
                    }
    
    preference_color = {
                "refuses" : "{color=#F70000}%s{/color}",
                "extremely reluctant" : "{color=#FF2626}%s{/color}",
                "very reluctant" : "{color=#FF5353}%s{/color}",
                "reluctant" : "{color=#FF8E8E}%s{/color}",
                "a little reluctant" : "{color=#FFB5B5}%s{/color}",
                "indifferent" : "{color=[c_white]}%s{/color}",
                "a little interested" : "{color=#BDF4CB}%s{/color}",
                "interested" : "{color=#7CEB98}%s{/color}",
                "very interested" : "{color=#1FCB4A}%s{/color}",
                "fascinated" : "{color=[c_orange]}%s{/color}",
                None: "%s",
                }
    

    ## GIRL PERSONALITIES ##
    
#    base_interaction_limits = [-50, -15, 15, 50]
    
    alignment_bonus = {
                       "good_love" : 1.25,
                       "good_fear" : 0.75,
                       "neutral_love" : 1.0,
                       "neutral_fear" : 1.0,
                       "evil_love" : 0.75,
                       "evil_fear" : 1.25
                       }
    
    mood_description = {
                        "++++++" : "She feels blessed. Her mood is {b}ecstatic{/b}.",
                        "+++++" : "Her mood is {b}elated{/b}.",
                        "++++" : "She is {b}very happy{/b}.",
                        "+++" : "She is {b}happy{/b}.",
                        "++" : "She is satisfied.",
                        "+" : "She is {b}content{/b}.",
                        "0" : "Her mood is {b}neutral{/b}.",
                        "-" : "She is {b}discontent{/b}.",
                        "--" : "She is {b}unsatisfied.{/b}",
                        "---" : "She is {b}unhappy{/b}.",
                        "----" : "She is {b}very unhappy{/b}.",
                        "-----" : "Her mood is {b}miserable{/b}",
                        "------" : "Her life is hell. Her mood is {b}abysmal{/b}.",
                        
                        "change +++" : "Her mood is {b}improving fast{/b}",
                        "change ++" : "Her mood is {b}improving{/b}",
                        "change +" : "Her mood is {b}improving a little{/b}",
                        "no change" : "Her mood is {b}stable{/b}",
                        "change -" : "Her mood is {b}worsening a little{/b}",
                        "change --" : "Her mood is {b}worsening{/b}",
                        "change ---" : "Her mood is {b}worsening fast{/b}",
                        }
    
    love_description = {
                        "++++++" : "You are everything to her. She worships you.",
                        "+++++" : "She adores you.",
                        "++++" : "She loves you.",
                        "+++" : "She likes you a lot.",
                        "++" : "She is fond of you.",
                        "+" : "She thinks you're all right.",
                        "0" : "She isn't sure how she feels about you.",
                        "-" : "She doesn't like you much.",
                        "--" : "She dislikes you.",
                        "---" : "She resents you.",
                        "----" : "She despises you.",
                        "-----" : "She hates you.",
                        "------" : "She thinks you're the worst. She wants you dead.",
                        }
    
    fear_description = {
                        "++++++" : "She lives in a world of terror, day and night. She is dead afraid of you.",
                        "+++++" : "You terrify her.",
                        "++++" : "She is very scared of you.",
                        "+++" : "She is scared of you.",
                        "++" : "She is a little scared of you.",
                        "+" : "She distrusts you.",
                        "0" : "She is on her guard around you.",
                        "-" : "She is nervous around you.",
                        "--" : "She is starting to ease up around you.",
                        "---" : "She is more relaxed around you. She feels confident you won't do anything bad to her.",
                        "----" : "She feels like she can act freely.",
                        "-----" : "She feels like she can do what she wants.",
                        "------" : "She feels like a princess, doing whatever she likes.",
                        "M++++++" : "Her true place is at your feet, shivering with terror and desire.",
                        "M+++++" : "The more you hurt her, the happier she gets.",
                        "M++++" : "It seems she likes being roughed up. She wants more.",
                        "M+++" : "She is scared of you, but strangely attracted to you.",
                        "M---" : "She is relaxed around you, but something feels off.",
                        "M----" : "Shes feels safe with you, but also bored.",
                        "M-----" : "She doesn't understand why you are being so nice to her.",
                        "M------" : "She feels that it's all too much, she doesn't deserve this. She seems distressed",
                        }
    
    
    gpersonalities = { 
                        "meek" : Personality("meek", "Shy, easily swayed, will cry rather than resist. Doesn't like conflict.", ("introvert", "idealist", "very repressed", "very sub"), allies = ("meek", "sweet"), rivals = ("cold", "rebel")),
                        "nerd" : Personality("nerd", "Quiet and bookish. Rather light-headed. Curious. Doesn't like physical effort.", ("very introvert", "very idealist", "lewd", "dom"), allies = ("nerd", "cold"), rivals = ("pervert", "superficial")),
                        "pervert" : Personality("pervert", "Wild and 'no limit' kind of girl. Curious about all sorts of sexual acts, the more perverted the better. Doesn't care for romance.", ("very extravert", "materialist", "very lewd", "dom"), allies = ("pervert", "masochist"), rivals = ("nerd", "sweet")),
                        "rebel" : Personality("rebel", "Always fighting and contradicting others, fiercely independent. Must do things of her own free will.", ("very extravert", "idealist", "repressed", "very dom"), allies = ("sweet", "rebel"), rivals = ("meek", "masochist")),
                        "superficial" : Personality("superficial", "Vain, attention-craved, cares about status and wealth. Loves presents and compliments.", ("extravert", "very materialist", "very lewd", "sub"), allies = ("masochist", "superficial"), rivals = ("nerd", "sweet")),
                        "cold" : Personality("cold", "Cold, rational, dominating and selfish. Will calculate and play the odds at the expense of others.", ("introvert", "very materialist", "repressed", "very dom"), allies = ("nerd", "cold"), rivals = ("meek", "masochist")),
                        "masochist" : Personality("masochist", "The lower the better. She likes to be at the bottom and secretly enjoys being mistreated.", ("very introvert", "materialist", "lewd", "very sub"), allies = ("pervert", "superficial"), rivals = ("rebel", "cold")),
                        "sweet" : Personality("sweet", "Lovely and sunny personality. Always positive. Rather romantic. Doesn't like negativity.", ("extravert", "very idealist", "very repressed", "sub"), allies = ("rebel", "meek"), rivals = ("pervert", "superficial")),
                     }
    
    gpersonality_attributes = ("extravert", "introvert", "idealist", "materialist", "lewd", "repressed", "dom", "sub", "very extravert", "very introvert", "very idealist", "very materialist", "very lewd", "very repressed", "very dom", "very sub")

    gpersonalities_likes = {
                            "meek" :            {"cute" : 4, "book" : 2, "precious" : 0, "erotica" : -2, "drinks": 2},
                            "nerd" :            {"cute" : 0, "book" : 4, "precious" : -2, "erotica" : 2, "drinks": 2},
                            "pervert" :         {"cute" : -2, "book" : 0, "precious" : 2, "erotica" : 4, "drinks": 2},
                            "rebel" :           {"cute" : 2, "book" : 0, "precious" : 2, "erotica" : -2, "drinks": 4},
                            "superficial" :     {"cute" : 2, "book" : -2, "precious" : 4, "erotica" : 2, "drinks": 0},
                            "cold" :            {"cute" : -2, "book" : 2, "precious" : 4, "erotica" : 0, "drinks": 2},
                            "masochist" :       {"cute" : 0, "book" : 2, "precious" : -2, "erotica" : 4, "drinks": 2},
                            "sweet" :           {"cute" : 4, "book" : 2, "precious" : 2, "erotica" : 0, "drinks": -2}
                            }
    
    gift_description = {
                        "cute" : "cute things",
                        "book" : "books",
                        "precious" : "precious things",
                        "erotica" : "erotic things",
                        "drinks" : "alcohol and hard liquors"
                        }
    
    
    gpersonalities_comment = {
                            "meek_pos" : ("She's friendly.", "She's nice.", "She's humble.", "She's always ready to help.", "She's quiet."),
                            "nerd_pos" : ("She's smart.", "She knows a lot about everything.", "She's very clever.", "She's open-minded.", "She's rational."),
                            "pervert_pos" : ("She's fun.", "She's a real party-girl.", "She knows how to party.", "She's open-minded.", "She's so confident."),
                            "rebel_pos" : ("She's lively.", "She's ambitious.", "She's driven.", "She's very independent.", "She's fearless.", "She's so confident."),
                            "superficial_pos" : ("She's lively.", "She's ambitious.", "She likes the finer things in life.", "She knows how to party.", "She's so confident."),
                            "cold_pos" : ("She's smart.", "She's quiet.", "She keeps her head cool.", "She's rational.", "She doesn't gossip."),
                            "masochist_pos" : ("She's quiet.", "She doesn't gossip.", "She's humble.", "She keeps her head cool."),
                            "sweet_pos" : ("She's friendly.", "She's nice.", "She's always ready to help.", "She's lively.", "She doesn't gossip."), 
                            "meek_neg" : ("She's a pushover.", "She whines too much.", "She's a crybaby.", "She's no fun.", "She's a loser."),
                            "nerd_neg" : ("She's nerdy.", "She's arrogant.", "She's unfriendly.", "She's aloof.", "She's an airhead.", "She's boring."),
                            "pervert_neg" : ("She's over-confident.", "She's a pervert.", "She's depraved, even for a whore.", "She has no morals.", "She's a nasty bitch.", "She's a slut."),
                            "rebel_neg" : ("She's arrogant.", "She thinks she's better than us.", "She's over-confident.", "She's a bully.", "She's no fun."),
                            "superficial_neg" : ("She's so superficial.", "She's selfish.", "She's self-absorbed.", "She's an airhead.", "She's over-confident.""She has no morals.", "She's a slut."),
                            "cold_neg" : ("She thinks she's better than us.", "She's selfish.", "She's self-absorbed.", "She's manipulative.", "She's a cold-hearted bitch.", "She's unfriendly.", "She's aloof.", "She's no fun."),
                            "masochist_neg" : ("She's a pushover.", "She's a pervert.", "She's depraved, even for a whore.", "She's a nasty bitch.", "She's a loser."),
                            "sweet_neg" : ("She thinks she's better than us.", "She's a pushover.", "She's no fun.", "She's a loser.", "She's an airhead."),
                            }
    
    recent_event_templates = {  # Girl events given to the player for rewarding/punishing
                                
                                # Rewardable events
                                "level up" : GirlRecentEvent(type="level up", action="Earning some experience", base_description="She has become more experienced ({color=[c_emerald]}level %s{/color}).", discipline=False),
                                "rank up" : GirlRecentEvent(type="rank up", action="Earned a new rank", base_description="She has reached {color=[c_emerald]}rank %s{/color}.", discipline=False),
                                "job up" : GirlRecentEvent(type="job up", action="Increasing her job skill", base_description="She has increased her {color=[c_emerald]}%s{/color} skills.", discipline=False),
                                "good result" : GirlRecentEvent(type="good result", action="Performing well while working", base_description="Her performance was {color=[c_emerald]}%s{/color} while working (%s).", discipline=False),
                                "quest good result" : GirlRecentEvent(type="quest good result", action="Performing well on a quest", base_description="%s", discipline=False),
                                "class good result" : GirlRecentEvent(type="class good result", action="Studying hard", base_description="%s", discipline=False),
                                "new act" : GirlRecentEvent(type="new act", action="Trying something new", base_description="She {color=[c_emerald]}accepted %s training{/color} for the first time.", discipline=False),
                                "helped" : GirlRecentEvent(type="helped", action="Helping a friend", base_description="", discipline=False), # Not implemented
                                
                                
                                # Neutral events
                                "exhausted" : GirlRecentEvent(type="exhausted", action="Becoming exhausted", base_description="She pushed herself too hard and ended up {color=[c_crimson]}exhausted{/color}."),
                                "sick" : GirlRecentEvent(type="sick", action="Falling sick", base_description="She fell {color=[c_crimson]}sick{/color}."),
                                "hurt" : GirlRecentEvent(type="hurt", action="Getting hurt", base_description="She was {color=[c_crimson]}raped{/color} by %s."),
                                "defended" : GirlRecentEvent(type="defended", action="Fighting a customer", base_description="She {color=[c_emerald]}protected herself{/color} from a rapist customer."),
                                
                                
                                # Punishable events
                                "ran away" : GirlRecentEvent(type="ran away", action="Running away", base_description="She ran away, but you caught her back.", encourage=False),
                                "disobey" : GirlRecentEvent(type="disobey", action="Disobeying you", base_description="She {color=[c_crimson]}refused to work as a %s{/color}.", encourage=False),
                                "bad result" : GirlRecentEvent(type="bad result", action="Performing badly while working", base_description="She performed {color=[c_crimson]}%sly{/color} while working (%s).", encourage=False),
                                "quest bad result" : GirlRecentEvent(type="quest bad result", action="Performing badly on a quest", base_description="%s", encourage=False),
                                "class bad result" : GirlRecentEvent(type="class bad result", action="Not paying attention in school", base_description="%s", encourage=False),
                                "refused" : GirlRecentEvent(type="refused", action="Refusing training", base_description="She {color=[c_crimson]}refused to train (%s){/color}.", encourage=False),
                                "argued" : GirlRecentEvent(type="argued", action="Arguing with a rival", base_description="", encourage=False), # Not implemented
                                
                                # Passive events (cannot be punished or rewarded=)
                                "acquired" : GirlRecentEvent(type="acquired", base_description="You have acquired %s.", encourage=False, discipline=False),
                                "MC met" : GirlRecentEvent(type="MC met", base_description="You have met %s.", encourage=False, discipline=False),
                                "MC friend" : GirlRecentEvent(type="MC friend", base_description="You and %s have become friends.", encourage=False, discipline=False),
                                "MC flower" : GirlRecentEvent(type="MC flower", base_description="You may now give %s flowers.", encourage=False, discipline=False),
                                "MC girlfriend" : GirlRecentEvent(type="MC friend", base_description="%s is now your girlfriend.", encourage=False, discipline=False),
                                "MC lover" : GirlRecentEvent(type="MC friend", base_description="%s is now your lover.", encourage=False, discipline=False),
                                "MC job" : GirlRecentEvent(type="MC job", base_description="You can now offer %s a job.", encourage=False, discipline=False),
                                "kidnapped" : GirlRecentEvent(type="kidnapped", base_description="She has been kidnapped by %s.", encourage=False, discipline=False),
                                }        
                                       
    event_sounds = {
                    "perk 0" : s_surprise,
                    "perk 1" : s_ahaa,
                    "perk 2" : s_aaah,
                    "perk 3" : s_mmmh,
                    }


    base_reluctance = {"naked" : -375, "service" : -500, "sex" : -500,"anal" : -750, "fetish" : -750, "bisexual" : -750, "group" : -1000}
    
    preference_modifier =   {
                            "refuses" : 150, # preference <= 90% base_reluctance
#                            "extremely reluctant" : 100, # (obsolete)
                            "very reluctant" : 75, # preference <= 70% base_reluctance
                            "reluctant" : 50, # preference <= 50% base_reluctance
                            "a little reluctant" : 25, # preference <= 20% base_reluctance
                            "indifferent" : 0, # preference <= -20% base_reluctance
                            "a little interested" : -10, # preference = -50% base_reluctance
                            "interested" : -25, # preference <= -70% base_reluctance
                            "very interested" : -50, # preference <= -90% base_reluctance
                            "fascinated" : -75 # preference > -90% base_reluctance
                            }
    
    experienced_description = {
                               "very experienced" : "Extensive",
                               "experienced" : "Advanced",
                               "average" : "Some",
                               "inexperienced" : "Basic",
                               "very inexperienced" : "None",
                               "very experienced ttip" : "{size=-1}{color=[c_orange]}A sex slave for years, she has known several masters and received extensive sexual training.{/color}",
                               "experienced ttip" : "{size=-1}{color=[c_green]}She has been a sex slave for many months now, and has received various forms of training.{/color}",
                               "average ttip" : "{size=-1}{color=[c_yellow]}She has been a sex slave for a few months already, and has received some sexual training.{/color}",
                               "inexperienced ttip" : "{color=[c_lightred]}She became a sex slave only recently, and still has a lot to learn.{/color}",
                               "very inexperienced ttip" : "{color=[c_red]}Fresh off the slave caravan, she has never been trained for sex. Who knows how she will react?{/color}",
                              }
    
    experienced_modifiers = {
                            "very experienced" : [250, 150, 75],
                            "experienced" : [150, 75, 25],
                            "average" : [75, 25, 0],
                            "inexperienced" : [25, 0, -25],
                            "very inexperienced" : [0, 0, -50],
                            }
    
    experienced_color = {
                           "very experienced" : c_orange,
                           "experienced" : c_green,
                           "average" : c_yellow,
                           "inexperienced" : c_lightred,
                           "very inexperienced" : c_red,
                          }
    
    sexual_training_value = {
                            "very experienced" : 1,
                            "experienced" : 2,
                            "average" : 3,
                            "inexperienced" : 4,
                            "very inexperienced" : 5,}
                                                  
    act_description = {
                        "naked" : "being naked",
                        "service" : "giving service",
                        "sex" : "having sex",
                        "anal" : "anal sex",
                        "fetish" : "kinky sex",
                        "bisexual" : "sex with a woman",
                        "group" : "group sex",
                        "action naked" : "Nudity",
                        "action service" : "Service",
                        "action sex" : "Sex",
                        "action anal" : "Anal sex",
                        "action fetish" : "Fetish",
                        "action bisexual" : "Lesbian sex",
                        "action group" : "Group sex"
                        }
    
    # This filters choices for the training menu (OR clause)
    
    training_test_dict = {
                          "naked": [],
                          "service": [("naked", "reluctant"), ("service", "reluctant")],
                          "sex": [("naked", "indifferent"), ("service", "indifferent"), ("sex", "reluctant")],
                          "anal": [("sex", "indifferent"), ("anal", "reluctant")],
                          "fetish": [("anal", "indifferent"), ("service", "interested"), ("fetish", "reluctant")],
                          "fetish": [("anal", "indifferent"), ("service", "interested"), ("fetish", "reluctant")],
                          "bisexual": [("sex", "interested"), ("service", "interested"), ("bisexual", "indifferent")],
                          "group": [("anal", "interested"), ("sex", "fascinated"), ("group", "indifferent")],
                          }
                          
    magic_training_test_dict = { # Suggestion training is easier
                          "naked": [],
                          "service": [],
                          "sex": [("naked", "reluctant"), ("service", "reluctant"), ("sex", "very reluctant")],
                          "anal": [("sex", "reluctant"), ("anal", "very reluctant")],
                          "fetish": [("anal", "reluctant"), ("service", "indifferent"), ("fetish", "very reluctant")],
                          "fetish": [("anal", "reluctant"), ("service", "indifferent"), ("fetish", "very reluctant")],
                          "bisexual": [("sex", "indifferent"), ("service", "indifferent"), ("bisexual", "reluctant")],
                          "group": [("anal", "a little interested"), ("sex", "very interested"), ("group", "a little reluctant")],
                          }

    ## MC interactions
    # The dictionary uses nested lists to retain choices order
    
    interact_dict = {
                    "chat" : ["GENERAL TOPICS", "PERSONAL TOPICS", "STORY"],
                    "GENERAL TOPICS" : [GirlInteractionTopic("chat", "chat", "Life as a slave", "slave_chat_slave_life"),
                                        GirlInteractionTopic("chat", "chat", "Life in the brothel", "slave_chat_brothel", condition="has_worked"),
                                        GirlInteractionTopic("chat", "chat", "Getting along with customers", "slave_chat_customers", condition="has_worked"),
                                        GirlInteractionTopic("chat", "chat", "Getting along with other girls", "slave_chat_other_girls", condition="other_girls"),                     
                                        ],
                    "PERSONAL TOPICS" : [
                                        GirlInteractionTopic("chat", "chat", "Her well-being", "slave_chat_well_being"),
                                        GirlInteractionTopic("chat", "chat", "Her feelings about you", "slave_chat_feelings"),
                                        GirlInteractionTopic("chat", "chat", "Her tastes", "slave_chat_tastes"),
                                        GirlInteractionTopic("chat", "chat", "Her origins", "slave_chat_origins"),
                                    ],
                    "STORY" : [GirlInteractionTopic("chat", "chat", "Hear her story again", "slave_chat_story", AP_cost=0, condition = "story")],
                    
                    "train" : ["SKILL TRAINING", "SEXUAL TRAINING", "SPECIAL TRAINING"],
                    "SKILL TRAINING" : [GirlInteractionTopic("train", "train", "Obedience training", "slave_train_obedience", act="obedience"), 
                                        GirlInteractionTopic("train", "train", "Constitution training", "slave_train_constitution", act="constitution")],
                    "SEXUAL TRAINING" : [
                                        GirlInteractionTopic("train", "train", "Nude", "slave_train_sex_acts", act="naked", advanced=True),
                                        GirlInteractionTopic("train", "train", "Service", "slave_train_sex_acts", act="service", advanced=True),
                                        GirlInteractionTopic("train", "train", "Sex", "slave_train_sex_acts", act="sex", advanced=True),
                                        GirlInteractionTopic("train", "train", "Anal", "slave_train_sex_acts", act="anal", advanced=True),
                                        GirlInteractionTopic("train", "train", "Fetish", "slave_train_sex_acts", act="fetish", advanced=True),
                                        GirlInteractionTopic("train", "train", "Bisexual", "slave_train_sex_acts", act="bisexual", advanced=True),
                                        GirlInteractionTopic("train", "train", "Group", "slave_train_sex_acts", act="group", advanced=True),
                                    ],
                    "SPECIAL TRAINING" : [GirlInteractionTopic("train", "train", "Remove negative fixation", "slave_remove_fixation", condition="neg_fix")],
                    
                    "magic" : ["MAGIC SKILL TRAINING", "MAGIC SEXUAL TRAINING", "CHOOSE METHOD"],
                    "CHOOSE METHOD" : [GirlInteractionTopic("magic", None, "Current method", "slave_hypnotize_method", AP_cost=0)], # None type excludes it from girl interaction count
                    "MAGIC SKILL TRAINING" : [
                                                GirlInteractionTopic("magic", "train", "Obedience training", "slave_magic", act="obedience", gold_cost=20), 
                                                GirlInteractionTopic("magic", "train", "Sensitivity training", "slave_magic", act="sensitivity", gold_cost=20), 
                                                GirlInteractionTopic("magic", "train", "Libido training", "slave_magic", act="libido", gold_cost=20),
                                                ],
                    "MAGIC SEXUAL TRAINING" : [
                                                GirlInteractionTopic("magic", "train", "Nude", "slave_magic", act="naked", advanced=True, gold_cost=20),
                                                GirlInteractionTopic("magic", "train", "Service", "slave_magic", act="service", advanced=True, gold_cost=40),
                                                GirlInteractionTopic("magic", "train", "Sex", "slave_magic", act="sex", advanced=True, gold_cost=50),
                                                GirlInteractionTopic("magic", "train", "Anal", "slave_magic", act="anal", advanced=True, gold_cost=60),
                                                GirlInteractionTopic("magic", "train", "Fetish", "slave_magic", act="fetish", advanced=True, gold_cost=70),
                                                GirlInteractionTopic("magic", "train", "Bisexual", "slave_magic", act="bisexual", advanced=True, gold_cost=80),
                                                GirlInteractionTopic("magic", "train", "Group", "slave_magic", act="group", advanced=True, gold_cost=100), 
                                                ],
                    
                    "react" : ["ENCOURAGE", "DISCIPLINE"],
                    "ENCOURAGE" : [
                                    GirlInteractionTopic("react", "react", "Praise her", "slave_reward_praise"),
                                    GirlInteractionTopic("react", "gold", "Give her gold", "slave_reward_gold"),
                                    GirlInteractionTopic("react", "gift", "Give her a gift", "slave_reward_gift"),
                                    GirlInteractionTopic("react", "react", "Pet her", "slave_reward_pet"),
                                    GirlInteractionTopic("react", "react", "Give her a day off", "slave_reward_day"),
                                    GirlInteractionTopic("react", "sex_reward", "Have sex with her", "slave_reward_sex"),
                                    ],
                    "DISCIPLINE" : [
                                    GirlInteractionTopic("react", "react", "Scold her", "slave_punish_scold"),
                                    GirlInteractionTopic("react", "react", "Remove upkeep", "slave_punish_deprive"),
                                    GirlInteractionTopic("react", "react", "Force her to go naked", "slave_punish_naked"),
                                    GirlInteractionTopic("react", "react", "Beat her", "slave_punish_beat"),
                                    GirlInteractionTopic("react", "rape", "Rape her", "slave_punish_rape"),
                                    GirlInteractionTopic("react", "react", "Send her to the farm", "slave_punish_farm", condition="farm"),
                                    ],
                    "misc" : ["CLOTHING", "MASTER BEDROOM", "DEBUG"],
                    "CLOTHING" : [
                                    GirlInteractionTopic("misc", None, "Tell her to go naked", "slave_clothing_naked", AP_cost=0, condition = "dressed"),
                                    GirlInteractionTopic("misc", None, "Tell her to get dressed", "slave_clothing_dressed", AP_cost=0, condition = "naked"),
                                    ],
                    "MASTER BEDROOM" : [
                                        GirlInteractionTopic("misc", None, "Send her to your bedroom", "slave_master_bedroom_add", AP_cost=0, condition = "master_bedroom_add"),
                                        GirlInteractionTopic("misc", None, "Remove her from your bedroom", "slave_master_bedroom_remove", AP_cost=0, condition = "master_bedroom_remove")
                                        ],
                    "DEBUG" : [GirlInteractionTopic("misc", None, "Cheat", "interaction_cheat_menu", AP_cost=0, condition="debug_mode"), 
                        GirlInteractionTopic("misc", None, "Reset girl interactions", "interaction_cheat_girl", AP_cost=0, condition="debug_mode"),
                        GirlInteractionTopic("misc", None, "Reset MC interactions", "interaction_cheat_MC", AP_cost=0, condition="debug_mode"),
                        ],
                    }


    free_interact_dict = {
                            "chat" : ["GENERAL TOPICS", "PERSONAL TOPICS", "DEBUG"],
                            "GENERAL TOPICS" : [GirlInteractionTopic("chat", "chat", "Small talk", "free_chat_small_talk"),
                                                GirlInteractionTopic("chat", "chat", "Gossip", "free_chat_gossip"),
                                                GirlInteractionTopic("chat", "chat", "Life", "free_chat_life", love_test=5),
                                                GirlInteractionTopic("chat", "chat", "Love", "free_chat_love", love_test=5),                     
                                                ],
                            "PERSONAL TOPICS" : [
                                                GirlInteractionTopic("chat", "chat", "Her origins", "free_chat_origins", love_test=10),
                                                GirlInteractionTopic("chat", "chat", "Her hobbies", "free_chat_hobbies", love_test=10),
                                                GirlInteractionTopic("chat", "chat", "Likes", "free_chat_likes", love_test=10),
                                                GirlInteractionTopic("chat", "chat", "Dislikes", "free_chat_dislikes", love_test=10),
                                                ],
                            "fun" : ["JOKE", "TOUCH", "PLAY"],
                            "JOKE" : [
                                        GirlInteractionTopic("fun", "joke", "Harmless", "free_joke_harmless", love_test=15),
                                        GirlInteractionTopic("fun", "joke", "Adult", "free_joke_adult", love_test=15),
                                        GirlInteractionTopic("fun", "joke", "Dark", "free_joke_dark", love_test=15),
                                        GirlInteractionTopic("fun", "joke", "Mean", "free_joke_mean", love_test=15),
                                        ],
                            "TOUCH" : [
                                        GirlInteractionTopic("fun", "touch", "Hold her hand", "free_touch_hand", love_test=40),
                                        GirlInteractionTopic("fun", "touch", "Kiss", "free_touch_kiss", relationship_level=2),
                                        GirlInteractionTopic("fun", "touch", "Slap her ass", "free_touch_ass", love_test=55, relationship_level=3),
                                        GirlInteractionTopic("fun", "touch", "Touch her breasts", "free_touch_breasts", love_test=60, relationship_level=3),
                                        GirlInteractionTopic("fun", "touch", "Touch her pussy", "free_touch_pussy", love_test=65, relationship_level=3),
                                        ],
                            "PLAY" : [
                                        GirlInteractionTopic("fun", "play", "Get her naked", "free_play", act="naked", relationship_level=4),
                                        GirlInteractionTopic("fun", "play", "Ask for service", "free_play", act="service", relationship_level=4),
                                        GirlInteractionTopic("fun", "play", "Ask for sex", "free_play", act="sex", relationship_level=4),
                                        GirlInteractionTopic("fun", "play", "Ask for anal sex", "free_play", act="anal", relationship_level=4),
                                        GirlInteractionTopic("fun", "play", "Ask for fetish", "free_play", act="fetish", relationship_level=4),
                                        ],
                            "flirt" : ["COMPLIMENT", "SEXUAL TOPICS"],
                            
                            "COMPLIMENT" : [
                                        GirlInteractionTopic("flirt", "compliment", "Compliment her beauty", "free_flirt_beauty", relationship_level=1),
                                        GirlInteractionTopic("flirt", "compliment", "Compliment her body", "free_flirt_body", relationship_level=1),
                                        GirlInteractionTopic("flirt", "compliment", "Compliment her mind", "free_flirt_mind", relationship_level=1),
                                        GirlInteractionTopic("flirt", "compliment", "Compliment her spirit", "free_flirt_spirit", relationship_level=1),
                                        ],
                            "SEXUAL TOPICS" : [
                                                GirlInteractionTopic("flirt", "chat about sex", "Her sexual experience", "free_flirt_sex_experience", love_test=55),
                                                GirlInteractionTopic("flirt", "chat about sex", "Her sexual tastes", "free_flirt_sex_tastes", love_test=55),
                                                GirlInteractionTopic("flirt", "chat about sex", "Nudity", "free_flirt_sex_act", act="naked", love_test=55),
                                                GirlInteractionTopic("flirt", "chat about sex", "Service", "free_flirt_sex_act", act="service", love_test=55),
                                                GirlInteractionTopic("flirt", "chat about sex", "Sex", "free_flirt_sex_act", act="sex", love_test=55),
                                                GirlInteractionTopic("flirt", "chat about sex", "Anal sex", "free_flirt_sex_act", act="anal", love_test=55),
                                                GirlInteractionTopic("flirt", "chat about sex", "Fetish acts", "free_flirt_sex_act", act="fetish", love_test=55),
                                                GirlInteractionTopic("flirt", "chat about sex", "Bisexuality", "free_flirt_sex_act", act="bisexual", love_test=55),
                                                GirlInteractionTopic("flirt", "chat about sex", "Group sex", "free_flirt_sex_act", act="group", love_test=55),
                                                ],
                            "give" : ["GIVE", "OFFER"],
                            "GIVE" : [
                                        GirlInteractionTopic("give", "gift", "Give her a present", "free_give_gift", love_test=20),
                                        GirlInteractionTopic("give", "gold", "Give her money", "free_give_gold", love_test=20),
                                        ],
                            "OFFER" : [GirlInteractionTopic("give", "offer", "Offer her a job", "free_offer_job", love_test=90, relationship_level=5),],
                            "DEBUG" : [GirlInteractionTopic("give", None, "Change love", "interaction_cheat_love", AP_cost=0, condition="debug_mode"), 
                                        GirlInteractionTopic("give", None, "Reset girl interactions", "interaction_cheat_girl", AP_cost=0, condition="debug_mode"),
                                        GirlInteractionTopic("give", None, "Reset MC interactions", "interaction_cheat_MC", AP_cost=0, condition="debug_mode"),
                                        ],
                    }

    fix_description = {
                       "public acts description" : "doing it in public.",
                       "public acts action" : "Do it in public",
                       "public acts intro" : "You call in everyone from the brothel: girls, helpers, passerbys... You tell %s that she must do it in public.",
                       "public acts pos_reaction" : "She blushes and you can see her nipples perking under her blouse. She is aroused by the thought of doing it in public.",
                       "public acts neg_reaction" : "She is indignant and complains that she can't do anything when people are watching. You ignore her.",
                       
                       "cosplay description" : "to wear sexy and revealing outfits.",
                       "cosplay action" : "Wear a sexy outfit",
                       "cosplay intro" : "You give %s a choice of uniforms she can wear.",
                       "cosplay pos_reaction" : "She bites her lips, looking playful. She chooses a kinky uniform with holes for her tits, pussy and asshole.",
                       "cosplay neg_reaction" : "She chooses a rather conservative and boring uniform. She doesn't enjoy having to wear it.",
                       
                       "dildos description" : "to use sex toys while fucking.",
                       "dildos action" : "Use a dildo",
                       "dildos intro" : "You tell %s to use a dildo in her other hole while you're fucking her.",
                       "dildos pos_reaction" : "She easily slips the dildo in place. It looks like something she is used to do a lot.",
                       "dildos neg_reaction" : "She hates it as she has to painfully force the dildo in. She doesn't enjoy it at all.",
                       
                       "vibrators description" : "vibrators.",
                       "vibrators action" : "Use a vibrator",
                       "vibrators intro" : "You tell %s to use a vibrating egg while doing it.",
                       "vibrators pos_reaction" : "She wastes no time in using the egg on her ready clit, bringing herself to a state of heavy arousal.",
                       "vibrators neg_reaction" : "She is sensitive and uncomfortable using the egg, and complains that it feels weird.",
                       
                       "dirty sex description" : "dirty sex",
                       "dirty sex action" : "Get down and dirty",
                       "dirty sex intro" : "You tell %s to get down in the dirt and get ready to be abused.",
                       "dirty sex pos_reaction" : "She seems happy to be on the ground, like a dirty bitch she is.",
                       "dirty sex neg_reaction" : "She hates dirt and complains that it is unhealthy.",
                       
                       "penis worship description" : "to worship dicks, especially large ones.",
                       "penis worship action" : "Make her rub your dick",
                       "penis worship intro" : "You tell %s that she has to rub oil on your dick and pay it proper respect.",
                       "penis worship pos_reaction" : "She takes a good look at your large, throbbing cock and seems happy and aroused that she can play with it. She plants a wet kiss right on the tip.",
                       "penis worship neg_reaction" : "She looks away from your erect dick, still uncomfortable around a man's cock.",
                       
                       "bondage description" : "to be tied up.",
                       "bondage action" : "Tie her up",
                       "bondage intro" : "Using tight ropes and your expert knowledge of bondage as a slave master, you tie %s up in an uncomfortable and embarassing position.",
                       "bondage pos_reaction" : "She moans with pleasure as you tie her up, loving the feel of the ropes biting her skin.",
                       "bondage neg_reaction" : "She cries and squirms as you tie her up, feeling extremely uncomfortable.",
                       
                       "oil description" : "to be oiled-up.",
                       "oil action" : "Oil her up",
                       "oil intro" : "You give %s a bottle of body oil, insisting that she spreads it all over her naked body.",
                       "oil pos_reaction" : "She oils up every nook and cranny of her body for your pleasure, playfully massaging her glistening skin while you watch.",
                       "oil neg_reaction" : "She isn't comfortable with slippery and oily stuff, complaining that it stinks and feels revolting.",
                       
                       "wet description" : "to be wet.",
                       "wet action" : "Get her wet",
                       "wet intro" : "You ask Sill to fetch you a bucket of cold water, which you pour straigth on %s's body.",
                       "wet pos_reaction" : "She loves being wet and moist, moaning as she slips her hands all over her body.",
                       "wet neg_reaction" : "She looks upset and miserable like a wet kitty. She hates water.",
                       
                       "submission description" : "to take a humiliating pose.",
                       "submission action" : "Humiliate her",
                       "submission intro" : "You tell %s to get on her knees and beg for what's going to happen.",
                       "submission pos_reaction" : "She eagerly obeys your order, taking perverse pleasure in begging for you to abuse her.",
                       "submission neg_reaction" : "She refuses to beg and complains that it is beneath her.",
                       
                       "femdom description" : "to act like the dominating partner.",
                       "femdom action" : "Let her dominate",
                       "femdom intro" : "You tell %s to take the lead and dominate this encounter.",
                       "femdom pos_reaction" : "She is pleased to be given the leading role. She perversely enjoys giving orders and dominating her partner.",
                       "femdom neg_reaction" : "She hesitates, then awkwardly tries to give an order in an unconvincing voice. She almost immediately reverses herself and apologises. She doesn't enjoy taking the lead at all.",
                       
                       "gags description" : "to be gagged while having sex.",
                       "gags action" : "Gag her",
                       "gags intro" : "You order %s to wear a large ball gag, which leaves her mouth open at all times and makes it hard to talk.",
                       "gags pos_reaction" : "She seems oddly happy and excited as she puts on the gag and gives you a sheepish look.",
                       "gags neg_reaction" : "Unable to control her drooling and hardly able to talk, she gives you a furious look. She seems to hate it.",
                       
                       "strap-ons description" : "to fuck girls with a strap-on.",
                       "strap-ons action" : "Use a strap-on",
                       "strap-ons intro" : "You tell %s to fuck Sill using a strap-on dildo.",
                       "strap-ons pos_reaction" : "She looks triumphant as she puts on a huge black strap-on dildo, with one end up in her pussy and the other dangling in front of her. Sill gasps.",
                       "strap-ons neg_reaction" : "She grumbles as she puts it on, complaining that she isn't a man.",
                       
                       "roleplay description" : "to play a role while fucking.",
                       "roleplay action" : "Make her play a role",
                       "roleplay intro" : "You tell %s that you are going to play roles: you are the city guard and she is a captured thief.",
                       "roleplay pos_reaction" : "She enjoys the idea of role-playing and makes a great show of being a repentant horny thief.",
                       "roleplay neg_reaction" : "She thinks it's stupid and distracting and doesn't get into it at all.",
                       
                       "plugs description" : "to wear a plug inside her ass.",
                       "plugs action" : "Use anal plug",
                       "plugs intro" : "Taking out a large, glistening rubber plug, you tell %s to insert it in her ass.",
                       "plugs pos_reaction" : "She pushes the plug deep inside her ready asshole with delight, moaning seductively.",
                       "plugs neg_reaction" : "She inserts the plug with great difficulty, ashamed and in pain. It makes her very uncomfortable.",
                       
                       "enemas description" : "to have an enema.",
                       "enemas action" : "Use an enema",
                       "enemas intro" : "You tell %s it's time to clean up.",
                       "enemas pos_reaction" : "As you insert the enema into her asshole and start filling her up with water, she begs you to go further and further. Soon, her belly is inflated and rounded like a ballon.",
                       "enemas neg_reaction" : "She cries with shame and horror as you fill her insides with cleansing water. She begs you to stop.",
                       
                       "beads description" : "to wear anal beads.",
                       "beads action" : "Use anal beads",
                       "beads intro" : "You give %s a bead necklace and explain what she should do with it.",
                       "beads pos_reaction" : "She pushes the beads into her asshole one by one, clearly enjoying it and moaning as you watch.",
                       "beads neg_reaction" : "She cringes and whines as she painfully pushes one or two beads inside her ass. She tells you she hates it.",
                       
                       "masturbation description" : "to masturbate.",
                       "masturbation action" : "Make her masturbate",
                       "masturbation intro" : "You tell %s to play with herself while doing it.",
                       "masturbation pos_reaction" : "She enthusiastically starts playing with her clit and fingering her pussy while you watch her.",
                       "masturbation neg_reaction" : "She pretends to masturbate but isn't doing anything. She doesn't enjoy it at all.",
                       
                       "fingering description" : "to be fingered.",
                       "fingering action" : "Slide a finger inside her",
                       "fingering intro" : "You tell %s you will put your fingers inside her.",
                       "fingering pos_reaction" : "Her pussy welcomes you as you slide, one, then two, then three fingers inside her with ease. She moans with pleasure as you increase your pace, covering your fingers with her love juices.",
                       "fingering neg_reaction" : "Her pussy contracts and resists you as you push a single finger inside with great difficulty. Tears run down her face: she isn't enjoying this at all.",
        
                       "handjobs description" : "giving handjobs.",
                       "handjobs action" : "Give a handjob",
                       "handjobs intro" : "You order %s to give you a good handjob.",
                       "handjobs pos_reaction" : "She loves rubbing her hands up and down your dick, watching your throbbing, hard cock with fascination.",
                       "handjobs neg_reaction" : "She is mechanical and unenthusiastic. She doesn't like handjobs.",
                       
                       "oral description" : "giving oral.",
                       "oral action" : "Oral sex",
                       "oral intro" : "You tell %s to use her tongue and mouth to increase the pleasure.",
                       "oral pos_reaction" : "She loves licking and sucking her partner, and she makes sure to make eye contact with you as she does it.",
                       "oral neg_reaction" : "She gags at the taste and looks annoyed. She doesn't like giving oral.",
                       
                       "irrumatio description" : "irrumatio.",
                       "irrumatio action" : "Irrumatio",
                       "irrumatio intro" : "Ordering %s to lay flat with her head hanging from the bed, you decide to fuck her mouth hard.",
                       "irrumatio pos_reaction" : "You shove your dick as deep and hard as you can into her mouth-pussy, and she takes it all in, seemingly enjoying having her throat raped.",
                       "irrumatio neg_reaction" : "She gags and coughs and criesand squirms, hating it, but you force-fuck her throat anyway.",
                       
                       "deep throat description" : "deep throat.",
                       "deep throat action" : "Deep-throat",
                       "deep throat intro" : "You tell %s to get ready to deep-throat you.",
                       "deep throat pos_reaction" : "She has no gag reflexes and enjoys sucking your dick as far down her throat as she can.",
                       "deep throat neg_reaction" : "She gags and almost throws up, begging you to stop. You ignore her.",
                       
                       "titjobs description" : "giving titjobs.",
                       "titjobs action" : "Give a titjob",
                       "titjobs intro" : "You order %s to use her tits to pleasure you.",
                       "titjobs pos_reaction" : "She wraps your dick completely between her gorgeous tits, licking the tip as she slides her soft mounds up and down your cock.",
                       "titjobs neg_reaction" : "She awkwardly tries to use her tits to rub your dick, but she is clumsy and uninterested.",
                       
                       "footjobs description" : "giving footjobs.",
                       "footjobs action" : "Give a foot job",
                       "footjobs intro" : "You order %s to use her legs and feet to rub your dick.",
                       "footjobs pos_reaction" : "She loves playing with your dick with her feet, giving you a good upskirt view as she brings you to your limit.",
                       "footjobs neg_reaction" : "She hates it, only managing to crush your cock with her clumsy feet. You tell her to stop.",
                       
                       "double penetration description" : "being fucked in both holes.",
                       "double penetration action" : "Double penetration",
                       "double penetration intro" : "You ask one of your security guy to join you and %s, telling him to fuck her ass as you take the front.",
                       "double penetration pos_reaction" : "She screams wildly as she gets both her front and back holes raped by fat dicks. She loves it.",
                       "double penetration neg_reaction" : "She is upset and bothered that two dicks are in her at the same time. It seems to be too much for her.",
                       
                       "fisting description" : "being fisted.",
                       "fisting action" : "Fist her",
                       "fisting intro" : "Telling %s not to move, you decide to play around with her pussy using your bare fist.",
                       "fisting pos_reaction" : "She squeals with pleasure as you rape her wet pussy with your fist, eventually sending her into a massive squirting orgasm.",
                       "fisting neg_reaction" : "She screams with pain and begs you to stop as your fist bends her pussy in unnatural ways. She hates it.",
                       
                       "insults description" : "being insulted.",
                       "insults action" : "Insult her",
                       "insults intro" : "You call %s names as you force her to perform, using language that would make a harbor whore blush.",
                       "insults pos_reaction" : "She seems to love being trashed and insulted, and after only a minute, you notice that she has got completely wet.",
                       "insults neg_reaction" : "She is shocked and unnerved by your words, unable to concentrate on what she's doing. It isn't helping.",
                       
                       "69 description" : "69.",
                       "69 action" : "Do a 69",
                       "69 intro" : "You tell %s to get into a 69 position.",
                       "69 pos_reaction" : "She loves 69 and enjoys herself tremendously as she tends to her partner while her pussy gets licks.",
                       "69 neg_reaction" : "She looks unhappy as she seems to despise that position. In the end, it isn't enjoyable for anyone.",
                        
                       "watersports description" : "watersports.",
                       "watersports action" : "Play watersports",
                       "watersports intro" : "You tell %s to get ready for some 'watersports'.",
                       "watersports pos_reaction" : "She loves peeing in front of people and being peed on. She doesn't find it shameful",
                       "watersports neg_reaction" : "She is disgusted by bodily fluids and recoils with horror at the thought.",
                       
                       "ass-to-mouth description" : "ass-to-mouth.",
                       "ass-to-mouth action" : "Go ass-to-mouth",
                       "ass-to-mouth intro" : "You decide to fuck %s in the ass before moving to her mouth.",
                       "ass-to-mouth pos_reaction" : "She accepts your dick readily and licks it clean for you, not caring that it was in her ass a second ago.",
                       "ass-to-mouth neg_reaction" : "She retches as you push your dick into her mouth, complaining that it is dirty and disgusting.",
                       
                       "kissing description" : "kissing.",
                       "kissing action" : "Kiss her",
                       "kissing intro" : "You start kissing %s.",
                       "kissing pos_reaction" : "She responds enthusiastically to your kiss, mingling her tongue with yours. She doesn't let go until the very end.",
                       "kissing neg_reaction" : "She tries to avoid you and doesn't seem to enjoy kissing at all. She is relieved when you stop.",
                       
                       "spanking description" : "spanking.",
                       "spanking action" : "Spank her",
                       "spanking intro" : "You tell %s that she's been a bad girl, and that she is going to get spanked hard.",
                       "spanking pos_reaction" : "She screams with pain and pleasure, crying tears of happiness as you give her a thorough spanking while fucking her.",
                       "spanking neg_reaction" : "You spank her and fuck her at the same time. She wriggles and tries to escape you, moaning in pain. She doesn't like it.",
                       
                       "rimming description" : "rimming.",
                       "rimming action" : "Rimming",
                       "rimming intro" : "You tell %s to lick your asshole thoroughly.",
                       "rimming pos_reaction" : "She is very serious about licking you clean, pushing her tongue into your ass as she gives you a frantic handjob.",
                       "rimming neg_reaction" : "She is disgusted by the act and only timidly licks around your asshole. It tickles, but doesn't feel good in any way.",
                       
                       "fondling her boobs description" : "to be fondled.",
                       "fondling her boobs action" : "Fondle her boobs",
                       "fondling her boobs intro" : "You fondle her tits and play with her nipples as %s performs for you.",
                       "fondling her boobs pos_reaction" : "She loves it when you squeeze her tits and moans sexily as you rub her erect nipples.",
                       "fondling her boobs neg_reaction" : "She doesn't like to be touched there and tenses up, making the training less enjoyable.",
                       
                       "groping her ass description" : "to be groped.",
                       "groping her ass action" : "Grope her ass",
                       "groping her ass intro" : "You grope her ass and start fingering her asshole as %s performs for you.",
                       "groping her ass pos_reaction" : "She loves to be touched and groped and moans hornily as you shove two fingers up her butthole.",
                       "groping her ass neg_reaction" : "She doesn't like to be touched there and tenses up, making the training less enjoyable.",
                       
                       "lactation description" : "lactation.",
                       "lactation action" : "Milk her",
                       "lactation intro" : "Groping %s's boobs, you take out a syringe filled with a strange liquid and plunge it into her nipple.",
                       "lactation pos_reaction" : "She gasps with astonishement as her tits grow larger in size. Soon, she begins to lactate uncontrollably, moaning as you milk her large breasts for all they're worth.",
                       "lactation neg_reaction" : "She yells and cries with pain as her boobs grow heavier and larger. The experience is too traumatic, however, and she fails to give you any milk.",
                       
                       "doggy style description" : "doggy style.",
                       "doggy style action" : "Doggy style",
                       "doggy style intro" : "Pushing her on all four, you start fucking %s from behind.",
                       "doggy style pos_reaction" : "She moans with pleasure as the length of your shaft run along her most sensitive parts. She cannot get enough of it.",
                       "doggy style neg_reaction" : "She grinds her teeth as she waits for you to be finished. She doesn't enjoy that position at all.",
                       
                       "cowgirl description" : "cowgirl style.",
                       "cowgirl action" : "Cowgirl style",
                       "cowgirl intro" : "You make %s ride your dick.",
                       "cowgirl pos_reaction" : "She likes to be on top and lovingly bounces on your dick until you both get close to your limit.",
                       "cowgirl neg_reaction" : "She doesn't like to be on top and stays passive as you fuck her from below.",
                       
                       "piledriver description" : "piledriver.",
                       "piledriver action" : "Piledriver",
                       "piledriver intro" : "Pushing %s on her back and lifting her legs in the air, you plunge your hard dick inside her.",
                       "piledriver pos_reaction" : "She is overwhelmed with lust and pleasure as the blood flows to her head while you pound her mercilessly.",
                       "piledriver neg_reaction" : "She is confused and bothered by this new position, telling you she doesn't like it at all.",
                       
                       "spooning description" : "spooning.",
                       "spooning action" : "Spooning",
                       "spooning intro" : "Hugging %s from behind, you slowly slide into her while caressing her body.",
                       "spooning pos_reaction" : "She loves being cradled and fucked at the same time. She relaxes completely, moaning sofly, soon ready to reach orgasm.",
                       "spooning neg_reaction" : "She stays passive as you fuck her from behind, looking bored.",
                       
                       "bukkake description" : "bukkake.",
                       "bukkake action" : "Bukkake",
                       "bukkake intro" : "Calling a group of your security guard, you let them watch as you and Sill fuck %s. They start jerking off while watching her. As you reaches your limit, you pull out and cum all over her face, quickly followed by the other men.",
                       "bukkake pos_reaction" : "She shakes with a massive orgasm as she experiences a shower of cum on her face, hair and body. She gorges up on leftover cum from everyone's dick.",
                       "bukkake neg_reaction" : "She tries to get way and whines as everyone cums on her face and hair. She bitterly complains about the smell and taste.",
                       
                       "cum in mouth description" : "cum in her mouth.",
                       "cum in mouth action" : "Cum in her mouth",
                       "cum in mouth intro" : "You decide to use %s's mouth for a big finish.",
                       "cum in mouth pos_reaction" : "She looks entransed as you unload a wad of semen into her ready mouth. She plays with it on her tongue, enjoying the taste and texture.",
                       "cum in mouth neg_reaction" : "You cum a lot in her mouth, sending her into a fit of coughing. She spits it all out, complaining.",
                       
                       "cum on face description" : "cumshots.",
                       "cum on face action" : "Cum on her face",
                       "cum on face intro" : "Popping your dick out, you shoot a load of semen all over %s's face.",
                       "cum on face pos_reaction" : "She sighs happily as she receives load after load of your cum. She uses her hands to spread the cum all over her face, then licks her fingers.",
                       "cum on face neg_reaction" : "She recoils with disgust as you shoot your load. She rushes to get a wet cloth and clean it up.",
                       
                       "cum in hair description" : "cum in her hair.",
                       "cum in hair action" : "Cum in her hair",
                       "cum in hair intro" : "Popping your dick out, you decide to cum all over %s's soft, silky hair.",
                       "cum in hair pos_reaction" : "She moans as you wrap her hair around your dick and squeeze every last drop on her scalp. She enjoys being treated like a dirty cum dump.",
                       "cum in hair neg_reaction" : "She yells awfully as you shoot a load of semen on her hair, whining that it's gonna take ages to get it off.",
                       
                       "cum on body description" : "cum on her body.",
                       "cum on body action" : "Cum on her body",
                       "cum on body intro" : "You decide to cum all over %s's body.",
                       "cum on body pos_reaction" : "She reaches her climax as you take out your dick and spill a load of white cum all over her soft skin.",
                       "cum on body neg_reaction" : "She squirms as you shoot cum all over her body, complaining that it is sticky and smelly.",
                       
                       "cum shower description" : "get showered with cum.",
                       "cum shower action" : "Shower her with cum",
                       "cum shower intro" : "Popping a special pill from the spice market, your dick starts buldging, ready to burst with huge amounts of cum. You tell %s to lay down and get ready to receive your seed.",
                       "cum shower pos_reaction" : "You cum and cum buckets, until she is covered with white, sticky semen. She is enthralled by the sensation.",
                       "cum shower neg_reaction" : "She squeals and cowers in fear as you cum buckets all over her body, disgusted by the smell and feel.",
                       
                       "swallowing description" : "swallowing cum.",
                       "swallowing action" : "Make her swallow",
                       "swallowing intro" : "Shoving your dick deep into %s's mouth for the big finish, you shoot loads of cum deep down her throat.",
                       "swallowing pos_reaction" : "She gulps it all down with gusto, squeezing every last drop of cum out of your throbbing dick. She licks her lips sexily when you are finished.",
                       "swallowing neg_reaction" : "She gets tearful and gags, trying to spit it all out as you shoot load after load. She only partly succeeds, and looks unhappy at having to drink cum.",
                       
                       "creampie description" : "receiving a creampie.",
                       "creampie action" : "Creampie",
                       "creampie intro" : "Taking your dick slowly out of %s, you shoot a thick load of white cum all over her ass and pussy.",
                       "creampie pos_reaction" : "She shakes with a massive orgasm as you spurt cum all over her holes. She seems to love it.",
                       "creampie neg_reaction" : "She covers her face and begs you to stop, saying that it's creepy and disgusting.",
                       
                       "cum inside description" : "cum inside her.",
                       "cum inside action" : "Cum inside",
                       "cum inside intro" : "Not caring about the consequences, you decide to cum deep inside %s.",
                       "cum inside pos_reaction" : "She reaches a blinding orgasm, moaning wildly as you unload a wad of cum deep inside her.",
                       "cum inside neg_reaction" : "She screams for you to get out, but you ignore her, smearing her insides with thick, sticky cum. She cries with shame and disgust.",
                       
                       "multiple orgasms description" : "having multiple orgasms.",
                       "multiple orgasms action" : "Give her multiple orgasms",
                       "multiple orgasms intro" : "Rubbing her clit with one hand, you keep the pace up until %s cannot but shake with a shattering orgasm. Giving her no moment to rest, you increase the build-up until she comes another time, and another time.",
                       "multiple orgasms pos_reaction" : "She loves it and loses her mind completely over the sensations washing over her, looking nothing but an obedient, adoring slave by the time you are finished.",
                       "multiple orgasms neg_reaction" : "She feels overtly sensitive and begs you to stop, almost in pain from excessive climaxing. She doesn't like it.",
                       
                       "denied orgasm description" : "being denied orgasm.",
                       "denied orgasm action" : "Deny her orgasm",
                       "denied orgasm intro" : "You decide to tease %s to the limit, not letting her reach climax.",
                       "denied orgasm pos_reaction" : "She seems to love being teased and indefinitely denied orgasm, becoming incredibly horny and sensitive over time.",
                       "denied orgasm neg_reaction" : "She screams with frustration and begs you to let her climax. She is upset that you won't let her.",
                       
                       "squirting description" : "squirting.",
                       "squirting action" : "Make her squirt",
                       "squirting intro" : "Pushing your hand inside %s's pussy, you start rubbing the walls of her pussy, looking for her sensitive G-spot. She looks overwhelmed by the sensation.",
                       "squirting pos_reaction" : "She squirts hard, showering the room with her juice. She climaxes so hard that she can’t even move afterwards.",
                       "squirting neg_reaction" : "She feels weird and gross, and begs you to take your hand out. She isn't into it at all.",
                       
                       }
    
    fix_dict = {
                "public acts" : Fixation("public acts", acts=("naked", "service", "sex", "group"), step=1, attribute="extravert", tag_list=(["public"],)),
                "cosplay" : Fixation("cosplay", acts=("naked", "fetish", "bisexual"), step=1, attribute="extravert", tag_list=(["cosplay"], ["swim", "waitress", "dancer"]), not_list=["naked"],),
                "dildos" : Fixation("dildos", acts=("sex", "anal", "bisexual"), step=1, attribute="introvert", tag_list=(["dildo"], ["toy"],)),
                "vibrators" : Fixation("vibrators", acts=("naked", "fetish", "bisexual"), step=1, attribute="introvert", tag_list=(["vibrator"], ["toy"],)),
                "dirty sex" : Fixation("dirty sex", acts=("sex", "fetish", "group"), step=1, attribute="sub", tag_list=(["dirty"],)),
                "penis worship" : Fixation("penis worship", acts=("service", "group"), step=1, attribute="sub", tag_list=(["handjob"], ["big"],)),
                "bondage" : Fixation("bondage", acts=("fetish", "naked"), step=1, attribute="sub", tag_list=(["bondage"],)),
                "oil" : Fixation("oil", acts=("group", "anal"), step=1, attribute="extravert", tag_list=(["wet"],)),
                "wet" : Fixation("wet", acts=("naked", "sex", "bisexual"), step=1, attribute="extravert", tag_list=(["wet"],)),
                "submission" : Fixation("submission", acts=("service", "fetish", "bisexual"), step=1, attribute="sub", tag_list=(["sub"],)),
                "femdom" : Fixation("femdom", acts=("bisexual", "sex", "service"), step=1, attribute="dom", tag_list=(["dom"],)),
                "gags" : Fixation("gags", acts=("fetish", "naked"), step=1, attribute="introvert", tag_list=(["gag"], ["bondage"],)),
                "strap-ons" : Fixation("strap-ons", acts=("bisexual", "group"), step=1, attribute="dom", tag_list=(["strap-on"], ["lesbian"], ["toy"],)),
                "roleplay" : Fixation("roleplay", acts=("naked", "sex", "fetish"), step=1, attribute="extravert", tag_list=(["cosplay"],)),
                "plugs" : Fixation("plugs", acts=("naked", "anal"), step=1, attribute="repressed", tag_list=(["plug"], ["toy"],)),
                "enemas" : Fixation("enemas", acts=("group", "anal"), step=1, attribute="materialist", tag_list=(["enema"], ["toy"],)),
                "beads" : Fixation("beads", acts=("anal"), step=1, attribute="introvert", tag_list=(["beads"], ["toy"],)),
                
                "masturbation" : Fixation("masturbation", acts=("service", "naked", "sex"), step=2, attribute="extravert", tag_list=(["mast"], ["naked"],)),
                "fingering" : Fixation("fingering", acts=("naked", "fetish", "bisexual", "group"), step=2, attribute="lewd", tag_list=(["finger"],)),
                "handjobs" : Fixation("handjobs", acts=("service", "group"), step=2, attribute="repressed", tag_list=(["handjob"],)),
                "oral" : Fixation("oral", acts=("service", "bisexual", "group"), step=2, tag_list=(["oral"],)),
                "irrumatio" : Fixation("irrumatio", acts=("fetish"), step=2, attribute="sub", tag_list=(["deep"], ["oral"],)),
                "deep throat" : Fixation("deep throat", acts=("service", "group"), step=2, attribute="sub", tag_list=(["deep"], ["irru"], ["oral"],)),
                "titjobs" : Fixation("titjobs", acts=("service", "group"), step=2, attribute="extravert", tag_list=(["titjob"],)),
                "footjobs" : Fixation("footjobs", acts=("service", "fetish"), step=2, attribute="dom", tag_list=(["footjob"],)),
                "double penetration" : Fixation("double penetration", acts=("group"), step=2, attribute="lewd", tag_list=(["double"],)),
                "fisting" : Fixation("fisting", acts=("fetish", "bisexual", "anal"), step=2, attribute="lewd", tag_list=(["fist"], ["finger"])),
                "insults" : Fixation("insults", acts=("fetish", "naked"), step=2, attribute="sub", tag_list=(["sub"],)),
                "69" : Fixation("69", acts=("service", "bisexual"), step=2, attribute="dom", tag_list=(["69"], ["oral"],)),
                "watersports" : Fixation("watersports", acts=("fetish", "sex"), step=2, attribute="sub", tag_list=(["watersports"], ["squirt"],)),
                "ass-to-mouth" : Fixation("ass-to-mouth", acts=("anal", "group"), step=2, attribute="sub", tag_list=(["cim"], ["oral"],)),
                "kissing" : Fixation("kissing", acts=("naked", "sex", "bisexual"), step=2, attribute="idealist", tag_list=(["kiss"],)),
                "spanking" : Fixation("spanking", acts=("fetish", "anal"), step=2, attribute="sub", tag_list=(["spank"], ["sub"],)),
                "rimming" : Fixation("rimming", acts=("service", "fetish"), step=2, attribute="sub", tag_list=(["rim"],)),
                "fondling her boobs" : Fixation("fondling her boobs", short_name = "fondling", acts=("naked", "sex", "bisexual", "group"), step=2, tag_list=(["fondle"],)),
                "groping her ass" : Fixation("groping her ass", short_name = "groping", acts=("naked", "anal", "bisexual", "group"), step=2, tag_list=(["grope"],)),
                "lactation" : Fixation("lactation", acts=("naked", "fetish"), step=2, attribute="extravert", tag_list=(["lactation"], ["titjob"],)),
                "doggy style" : Fixation("doggy style", acts=("sex", "anal"), step=2, attribute="lewd", tag_list=(["doggy"],)),
                "cowgirl" : Fixation("cowgirl", acts=("sex", "anal"), step=2, attribute="dom", tag_list=(["cowgirl"],)),
                "piledriver" : Fixation("piledriver", acts=("sex", "anal"), step=2, attribute="materialist", tag_list=(["piledriver"],)),
                "spooning" : Fixation("spooning", acts=("sex", "anal"), step=2, attribute="idealist", tag_list=(["spoon"],)),
                
                "bukkake" : Fixation("bukkake", acts=("bisexual", "group"), step=3, attribute="lewd", tag_list=(["buk"], ["cof"], ["cumshot"],)),
                "cum in mouth" : Fixation("cum in mouth", acts=("service", "anal", "bisexual"), step=3, attribute="lewd", tag_list=(["cim"], ["oral"],)),
                "cum on face" : Fixation("cum on face", acts=("service", "sex", "fetish"), step=3, attribute="sub", tag_list=(["cof"], ["buk"], ["cumshot"],)),
                "cum in hair" : Fixation("cum in hair", acts=("service", "fetish"), step=3, attribute="sub", tag_list=(["cih", "coh"], ["cof", "buk"], ["cumshot"],)),
                "cum on body" : Fixation("cum on body", acts=("sex", "anal", "service"), step=3, attribute="dom", tag_list=(["cob"], ["cumshot"],)),
                "cum shower" : Fixation("cum shower", acts=("bisexual", "group"), step=3, attribute="sub", tag_list=(["cum shower"], ["cob", "cih"], ["cumshot"],)),
                "swallowing" : Fixation("swallowing", acts=("service", "fetish"), step=3, attribute="materialist", tag_list=(["cim"], ["deep"], ["oral"],)),
                "creampie" : Fixation("creampie", acts=("sex", "anal", "group"), step=3, attribute="extravert", tag_list=(["creampie"], ["cin"],)),
                "cum inside" : Fixation("cum inside", acts=("sex", "anal"), step=3, attribute="introvert", tag_list=(["cin"], ["creampie"],)),
                "multiple orgasms" : Fixation("multiple orgasms", acts=("group", "bisexual"), step=3, attribute="lewd", tag_list=(["orgasm"],)),
                "denied orgasm" : Fixation("denied orgasm", acts=("anal", "fetish", "bisexual"), step=3, attribute="sub", tag_list=(["denied"],)),
                "squirting" : Fixation("squirting", acts=("service", "sex", "bisexual"), step=3, attribute="extravert", tag_list=(["squirt"], ["watersport", "orgasm"],)),
                }
    

    ## PERKS AND ARCHETYPES ##
    
    archetype_list = ["The Maid", "The Player", "The Model", "The Courtesan", "The Escort", "The Fox", "The Slut", "The Bride"]
                
    archetype_description = {
                              "The Maid" : "Holding her head up high even in adversity, the {b}Maid{/b} succeeds through hard work and commitment. She is the patron saint of servants and menial workers.", 
                              "The Player" : "Always ready to tell a compelling story or improvise a lavish dance, the {b}Player{/b} is admired for her party skills and charisma. She is the patron saint of singers, actors and other artists, accomplished or aspiring.",
                              "The Model" : "Blessed with perfect natural beauty and elegance, if a little vain, the {b}Model{/b} fascinates men and women alike. She is the patron saint of the young, the pretty, and the well endowed.",
                              "The Courtesan" : "The {b}Courtesan{/b} is a master of etiquette, seduction and politics, able to make anyone give in to her every whim. She is the patron saint of noble women, politicians, and other schemers.",
                              
                              "The Escort" : "Using her body and skills to great advantage, the {b}Escort{/b} is an expert at leveraging her talents for profits. She is the patron saint of fancy prostitutes, merchants, and mercenaries.",
                              "The Fox" : "A mysterious figure which seems to always show on auspicious occasions, the {b}Fox{/b} is said to bring great luck to everyone she shares her bed with. She is the patron saint of travellers and hermits.",
                              "The Slut" : "A much revered figure, the {b}Slut{/b} delights in experienceing sex and pleasure in all its forms, rejecting laws and morals that do not suit her. She is the patron saint of street girls, thieves, libertines, and the occasional Arios priest.",
                              "The Bride" : "A harbinger of peace and prosperity, the {b}Bride{/b} is gentle and devoted. She is the patron saint of coming-of-age virgins, pregnant and married women, and widows."
                              }
                              
    perk_description = {
                         "Maid Training" : "'{i}I am here to serve.{/i}'",
                         "Loyalty" : "The bond between a master and servant is a sacred thing.",
                         "Hardworking" : "'{i}Anything is possible if you put your heart into it.{/i}'",
                         "Try Again" : "'{i}I am so sorry. Let me make this up to you.{/i}'",
                         "Survivor" : "She's been through hell and back, and she is willing to do what it takes to survive.",
                         "Strive for Perfection" : "'{i}Never leave a job halfway done.{/i}'",
                         
                         "Bunny Girl" : "'{i}Mister! Have you got any carrots for me?{/i}'",
                         "Party Girl" : "'{i}Where do you think you're going? The party's only started...{/i}'",
                         "Bimbo" : "Success comes easy to someone with such 'assets'.",
                         "Autograph" : "Star-struck fans are the best tippers.",
                         "Exhibitionist" : "All eyes on her, that's what she loves.",
                         "Star Power" : "A star is born. People come from far and wide just to meet her.",
                         
                         "Modeling 101" : "'{i}Do I really have to wear this?{/i}'",
                         "Rules of Attraction" : "Her innocent looks make her the darling of the customers.",
                         "Overachiever" : "Nothing shall stop her from becoming the best in Zan.",
                         "Eye Contact" : "Lose yourself in those eyes, and forget all your troubles.",
                         "Life of Luxury" : "'{i}Sex is always better within Homokan silk sheets...{/i}'",
                         "Beauty Queen" : "No one can compare.",
                         
                         "Court relations" : "'{i}The Earl of Kalderan was just here...{/i}'",
                         "Warm welcome" : "'{i}Would you like to slip into something... more comfortable?{/i}'",
                         "Refined taste" : "'{i}Can you give me a little more? I know how to be grateful...{/i}'",
                         "Five Stars" : "Quality comes at a price.",
                         "Heavenly Pleasures" : "'{i}I will give you pleasures you have never experienced...{/i}'",
                         "Royal Treatment" : "'{i}Tonight, you will be my King...{/i}'",
                         
                         "Available" : "{i}Do you have what it takes? I'm waiting.{/i}",
                         "Focus" : "{i}Whoever said I was a one-trick poney?{/i}",
                         "Next" : "{i}Aw, finished already? I can take more...{/i}",
                         "On Call" : "She's got a job to do, and she does it well.",
                         "Me So Horny" : "'{i}Me love you long time...{/i}'",
                         "Business and Pleasure" : "It's all a job to her. But boy, does she love her job.",
                         
                         "Foxy Lady" : "'{i}Are you experienced?{/i}'",
                         "Something New" : "'{i}I heard about this at the spice market...{/i}'",
                         "Lost and Found" : "'{i}Maybe I should give it back, but how would I find him? He's halfway through the door already.{/i}'",
                         "Secret Admirers" : "She has her ways... Her regulars appreciate that.",
                         "Tempting Fate" : "Born under a lucky star...",
                         "Stars Are Aligned" : "Her presence is so magnetic, she can bring luck to the whole brothel. Hang on to her!",
                         
                         "Teaser" : "{i}Mister, would you like to see more of me?{/i}",
                         "Open mind" : "'{i}How can you say you don't like it if you never try?{/i}'",
                         "Bedroom Eyes" : "'{i}Will you teach me something new?{/i}'",
                         "Loves Sex" : "'{i}I love what I do... Being fucked all day is hardly work at all!{/i}'",
                         "Convincing" : "'{i}Let me show you something really special...{/i}'",
                         "Work and Whore" : "{i}One thing leads to another... Let's have fun!{/i}",
                         
                         "Enter The Bride" : "Codename: pink mamba.",
                         "Helping Hand" : "'{i}You can always count on me. We're all sisters.{/i}'",
                         "Confession" : "'{i}We shouldn't have any secrets for each other.{/i}'",
                         "Leading by Example" : "She can teach the other girls a thing or two.",
                         "The Healer" : "She cares a lot about others, and will do everything she can to protect those she loves",
                         "The Virgin Whore" : "'{i}You can do anything to me, but this hole is off-limit... Mister, are you okay? You're all sweaty...{/i}'",
                         
                         "Naturist" : "",
                         "Ponygirl" : "She now only wears a revealing harness, and a tail. Guess where it's inserted... Free advertising.",
                         "Bisexual" : "Will sometimes serve a customer with another bisexual girl. Greatly increases tip and customer satisfaction, and reduce fatigue.",
                         "Group" : "A threesome with the customers is nothing she can't handle. May have sex with up to two customers at the cost of extra fatigue.",
                         "Orgy" : "What a slut! Looks like she wants every hole filled. May have sex with up to three customers, at the cost of extra fatigue.",
                         }

    ## GOSSIP ##
    
    generic_gossip = [
                        "I don't understand how the magicians can carry their experiments in broad daylight. The church of Arios zealots hate magic-users with a passion. But they haven't moved to shut them down...",
                        "Taxes on rice, grain, vegetables, meat... Soon they'll tax water from the puddles! What's a man to eat?",
                        "Zan has been consumed by lust, greed and corruption for as long as I can remember, but seems these days we've reached new lows.",
                        "Not everyone in the guard is a flat-out jerk. I know a guy who's all right. They are few and far between, though.",
                        "The royals sit all high and mighty far away from us people. They let the guards rob us blind but when a thief shows up, she never gets caught. Where's the justice in that?",
                        "You'd think the thieves would leave poor folks like us alone. But no sir, if you have nothing, they'll still pry it from your cold dead hands.",
                        "The guards steal so much from us poor folks that there's hardly anything left for the thieves.",
                        "*lowering her tone* Heard of Shalia, the dark goddess? They say she's got a temple in the slums, in this very city. It gives me the creeps.",
                        "There's a temple to Shalia somewhere in the city. I expect it's hard to find, though, her supporters rarely come out in the open.",
                        "Arios damn that Shalia bitch and her secret temple! A vile goddess like her has no place in this city. We're upstanding folks of the Light, are we not?",
                        "I heard Shalia is not at all what she's cracked up to be. You hear of sacrifices, virgin blood... That's nonsense. Her followers like secrecy, but they're into much more mundane things, such as lifting your purse.",
                        "Shalia followers eat little children' hearts for breakfast. That's what my Ma' said.",
                        "With all the crooked politicians and scheming thieves crawling in this city, you'd wonder why they didn't build a Cathedra to Shalia instead!",
                        "When he was little, my brother was always lonely, brooding, plotting revenge on the kids who bullied him. We used to joke that he was our own little Shalia apostle!",
                        "Shalia is a craven goddess, that's what she is. A proper god has his followers out in the open.",
                        "Some say Shalia's beauty itself is a weapon she uses in her schemes...",
                        "People are dumb enough to believe Arios is better because he is the god of light. But who wants light to be shone on all their thoughts and secrets? Shalia has just as important a role...",
                        "Someone told me he's seen a Shalia shrine in the slums. But he wouldn't tell me where it is.",
                        "Zan is full of dirty secrets and dark corners. One must watch their step - it's easy to anger the wrong person, and hard to gain anyone's trust.",
                        "There are three ways to make people in Zan part with their money: pussy, spice, or a sharp knife.",
                        "I've seen an incredible fight at the arena! Cyntia's a slave, but she's got style.",
                        "I can't believe people enjoy watching fights to the death in the arena. If you needed further proof this place is barbaric, there, you have it.",
                        "I don't care about the deaths in the arena. Most of the time it's just monsters and slaves. All in good fun!",
                        "People bet heavily on the arena fights. There's some good money to be had, if you know who to support.",
                        "Lots of adventurers try their luck in the arena. Many end up criples or worse after just a few fights. But Cyntia's endured.",
                        "I don't watch the fights, too gory. I just bet on them. But lately, I've been out of luck.",
                        "Someone told me he had a trick so that he'd always win his bets in the arena. I didn't believe him at first, but he won five fights in a row!",
                        "The gladiators of the arena in their shinning gold armor, covering themselves with glory and blood! Isn't that a tremendous sight?",
                        "The league of adventurers draws champions and scum alike from faraway lands. I wouldn't trust any of them, that's for sure.",
                        "If you want a quick way to make money, you could do worse than throw your lot with the league of adventurers. They always have some juicy bounties for enterprising individuals, and not all of them require drawing your sword.",
                        "The league of adventurers prefers to advance their goals by maneuvering rather than violence, but they've been known to use both.",
                        "There is no head of the league of adventurers. The intendant only deals with the paperwork, but all members are considered equals.",
                        "How can the league of adventurers be leader-less? There must be someone pulling their strings from the shadows.",
                        "I'm offended that some of those upstarts at the league of adventurers are getting so rich, when so many of our own true blue-blooded nobles are facing ruin.",
                        "The league of explorers is shunned by many of the nobles and courtiers because it takes commoners in, but they have started some of the most profitable enterprises in the city.",
                        "Ever heard of the brotherhood? They say they'll defend the common people against the nobles and high-borns. Such nonsense.",
                        "I've heard of a secret political organization called the Brotherhood. I have no idea who they are or what they do, but they're rumored to have enormous power in the city.",
                        "Some crazy jerk got my friend all worked up about 'sticking it to the royals', and 'taking back what's rightfully ours'. I begged my friend not to listen to such drivel, but now she's been arrested by the king's guard, and they suspect me as well...",
                        "Brother, you should not toil and suffer so that a few high-born loafers can hold banquets and orgies all day and all night. If you joined the brotherhood, you could put an end to this... But hush, someone's coming.",
                        "This woman claimed the brotherhood will rise to help the little people. But I know the truth of it: within a few months, they'd put themselves and their relatives in all the powerful positions, and they'd be no better than King Pharo.",
                        "King Pharo is our rightful leader chosen by the gods themselves. It is heresy to question the place of our betters: let us talk no more of that so-called 'brotherhood'.",
                        "Magicians are vermin who deserve nothing but ruin. They spoil our beloved city with their godless experiments. I wish the King had enough sense to make them all hang.",
                        "What's wrong with a little magic? It's not perversion, or a scam. People are afraid of things they don't understand, that's all. I dabble in magic myself, did you know? Here's an ointment you could buy for cheap...",
                        "Magicians have long been established in Zan without too much trouble. But their conflict with the church of Arios is starting to pull at the seams.",
                        "A priest of Arios himself told me that wizards consort with demons and plot Zan's ruin. Something must be done.",
                        "Those magicians are just rich, spolied brats toying with forces they don't understand. I don't like those bigots from the Cathedra, but they have a point.",
                        "Heresy of not, the mages are contributing good money to our city's finances. If every questionable practice was banned in this city, there wouldn't be much left of Zan.",
                        "Monsters have been spotted in Zan. I myself saw a three-headed wolf raping a young girl in a dark alley. What has this city come to?",
                        "Sorcerers are responsible for the monsters plague in this city, who else? They should throw the lot of them in a dark cell with their pets, and throw away the key.",
                        "I don't buy it. Wizards have enough trouble as it is with the Light priests. Why would they release monsters in the streets and make their situation worse?",
                        "Monsters roam the streets at night. No one should stay out late these days, especially young, beautiful girls.",
                        "An entire patrol wiped out near the Gardens? This monster problem is getting out of hand!",
                        "The cathedra is a nice enough looking building from outside, but you wouldn't like what goes on inside, believe me.",
                        "The High Priestess has advocated for the complete removal of magic from the city. She'll have her way; she always does.",
                        "I remember the times before the war, when the Grandmaster was heading the Arios cult... These were gentler days, I tell you.",
                        "Ever since the Grandmaster left for the Holy war, the High Priestess has been consolidating her power in the city. I don't think she wants him to come back.",
                        "Heard any news from the war in the Holy lands? They told me it's not going well. The heretics are resisting us at every step, but surely Arios won't let his flock down.",
                        "The Arios priests want to impose their cult on the rest of the city, plain and simple. Don't be fooled by the bitch priestess righteous sermons.",
                        "A friend of mine became a nun of Arios, but she had a change of heart and ran away a week ago. I don't know what happened.",
                        "I can't stand those upright do-gooders from the Arios church. I'm sure they're hiding something.",
                        "They say a lot of Arios priestesses used to be hookers, before they converted. I don't know why. But it's kind of turning me on.",
                        "Arios is the god of Light and Strength. May His Light guide us towards good deeds, and His Strength support our arms when the time comes to strike down evil.",
                        "The true teachings of Arios are a thing of beauty. Don't listen to those priests, all they know how to do is spout nonsense. Find the Light of Arios within your heart.",
                        "They say demons roam the streets. I say it's nothing compared to what goes on at Court.",
                        "All the court nobles do is eat, drink, fuck, and plot against one another. I wish I had that kind of life.",
                        "This city is doomed. When the head is rotten, how can you save the body?",
                        "My sister is a maid at court. She had a glimpse of one of the ceremonies and wouldn't shut up about it. 'The dresses!', 'The lights!', 'The jewels!', 'The gold dishes!', and so on.",
                        "Every noble courtier has one or more courtesan in tow. That's how they call hookers there. Not that it stops them from visiting regular brothels, mind you.",
                        "The nobles of Zan are a curious breed. They suck their estates dry trying to make it at court and impress the King; but they all despise him and think him weak. They are the ones being played for fools.",
                        "At the beginning of his reign, 18 years ago, King Pharo was doing well enough. But his achievements have been unraveling one by one, and now the city has lost all direction.",
                        "I don't care what happened to the princess's mother, the King should have remarried. What if something happens to the princess?",
                        "No male heir spells disaster for any royal family. Why doesn't the King understand that?",
                        "Because King Pharo has no male heir, power will go to the princess's son, when and if she marries. I guess she would be regent in the interim.",
                        "Sure, King Pharo has a laissez-faire attitude to everything... But isn't that what makes Zan so great? Would you like to see a crackdown on whores, alcohol, spices, or even gambling?",
                        "The King is always brooding, his mood dark... He sure looks grim for someone whose courtiers throw so many parties.",
                        "The princess is a lovely thing, isn't she? All the knights and nobles are crazy in love with her.",
                        "Her delicate features and manners make the princess the sweetheart of all Zan, nobles and commoners alike.",
                        "The princess seems in a dark mood sometimes. Could such a blessed person have problems like all of us?",
                        "The King's knights are all sworn to protect him and his family. Their commander looks like Arios made flesh himself. He's a very zealous and devoted man.",
                        "I hear some big shot's been murdered a few days back in the castle. They are trying to keep the lid on it, but it seems like trouble is brewing.",
                        "Some ancient weapons hold tremendous power. I wonder how one can get a hold on one of those?",
                        "When people go to a whorehouse, they expect more than just a tryst... Good service is always appreciated.",
                        "So many young girls are turning into whoring slaves these days... Some even turn themselves in voluntarily. I guess it's one way to get food and shelter in these troubled times.",
                        "The girls are so glamorous there... I never knew being a slut was so rewarding. Makes me question my morals!",
                        "All travelers agree on one thing: the best thing about Zan is its sex slaves... Any kind of sexual fantasy can be fulfilled here. Many slaves take great pride in fulfilling their master's desires.",
                        "Girls in Zan are so easy. All it takes is showing up at the same place every day, chatting them up, and sooner or later they'll roll in hay with you.",
                        "That merchant girl is so hot, man! I'd go there and buy stuff everyday if I could convince her to fool around with me.",
                        "People who like unusual sex acts are less common, but they pay more money.",
                        "I came by this brothel the other day, and saw a pink-haired hottie... but was disappointed to find out she wasn't one of the working staff.",
                        "After a day's hard work, what's hotter than going to a club to be served by beautiful girls, then have one of them strip and go down on you? I understand the appeal.",
                        "Whores are like priestesses for the sex goddess, that's what my 'pa used to say. He was usually drunk as a skunk.",
                        "Some guy from Westmarch had trouble understanding what geishas are. He kept saying they're like regular hookers. I swear, it's impossible to educate these unrefined barbarians .",
                        "I went to this little establishment by the harbor, asking for a good massage. And I really got a good one, down there... Isn't it wonderful?",
                    ]
                       
    chapter_gossip = {1 : [
                            "Have you seen the new guard uniforms? They adorn their armor with fine silk, while the rest of us starve..., "
                            "I've heard some talk of a secret lair somewhere around the Slums... A haven for thieves and bandits. I shiver to think of it.",
                            "Captain Farah is one greedy bitch. Her men came yesterday to shake one of my friends down. Everyone hates her, but they say she's got protection in high places.",
                            "The head of the guards is captain Farah. Best stay clear of them if you want my advice. Levies and taxes are all the guards cares about. If you ask me, they just make them up as they go.",
                            "Some say the captain of the guard is getting too greedy, even among her own men... There are some who say they'd do better. Maybe they mean they'd be better at not getting caught.",
                            "Thieves are getting bold these days. Or desperate. Doesn't look like the guards care to do anything about it, mind you.",
                            "My neighbor complained about the taxes, so they took him in, and no one's heard of him since. Better suck it up and stay alive, if you want my 2 denars.",
                            "The guards took everything from me, but what can I do? Only the King has higher authority, and he won't listen to a commoner.",
                            "Some say the thieves operate in an organized fashion, much like a guild. I don't buy this nonsense. Ever seen a thief with anything else than spice for brains?",
                            "People here like to blame a secret Shalia cabal for all their ills, but let me tell you: it's our good Arios-loving captain who's robbing us blind at the moment!",
                            "I keep hearing about this new brothel outside the city. I really have to check it out.",
                          ],
                      2 : [
                            "There has been a wave of murders in the city lately... And not just the usual rabble: they took out some pretty big shots.",
                            "People say the streets aren't safe at night, hired blades on the prowl... Many highborns won't go out anymore without an escort.",
                            "Somebody's been snuffing out the blue bloods one by one... It was about time someone started fighting for justice in this city!",
                            "A murderous killer is on the prowl... Some say he killed the high judge, and the royals could be next.",
                            "How dare someone threaten the life of our dear Princess? I hope they catch the motherfucker, and gouge his eyes out!",
                            "No one is safe in this city, not even the judges... Time to head for the country until things quiet down.",
                            "Don't worry about those killers. There are only after the bigwigs, no one is paying to assassinate small fry like you and me.",
                            "I've heard of a fearsome group of superhuman stealth warriors, on a quest for blood and revenge throughout the city... They call them {i}ninjas{/i}.",
                            "Ninjas? What a load of bull. They only exist in children tales.",
                            "Ninjas are a secret society of bloodthristy assassins that has infiltrated Zan. Or so I hear.",
                            "Why would anyone threaten the Princess's life? She's the only one who doesn't wish us little people ill in this royal nest of vipers.",
                            "Noble families have paid a heavy toll in the latest wave of murders... Maybe this so-called revolution is coming after all?",
                            ],
                      3 : [],
                      4 : [],
                      5 : [],
                      6 : [],
                      7 : [
                          "Have you heard of [MC.name], the legendary Brothel Master? I bet he can turn your sister into a sex-crazed goddess.",
                          "[MC.name] is the best of the best. There was never a better Brothel Master in all of Zan, and there never will be.",
                          "Do you know about the King? I mean, the Brothel King? It's [MC.name], the legendary owner of [brothel.name]...",
                          "The best brothel in town? Where the hell did you come from? It's [brothel.name], of course! It's leagues ahead of every other whorehouse. The competitors just gave up.",
                          ],
                      "c1_good" :   [
                                    "Captain Maya is really a godsend. She's going to clean up the guard's act in no time, believe me.",
                                    "I was stopped by the guards the other day. I thought they would rob me like they usually do, but they were polite and they just let me go. Amazing.",
                                    "Many of the old guards have been kicked out of the force recently. It seems like the new captain is serious about fighting corruption.",
                                    "Don't ever tell him I said that, but it's obvious Roz has a crush on Maya. That big oaf doesn't stand a chance...",
                                    ],
                      "c1_neutral" :[
                                    "Is the new captain any better than the old one? Things will never change around here, no matter who's in charge.",
                                    "Captain Lydie seems just as shrewd as the old Captain, but at least she keeps a low profile. Guild wars are bad for business.",
                                    "I've heard some talk of a secret lair somewhere around the Slums... A haven for thieves and bandits. I shiver to think of it.",
                                    "Thieves are getting bold these days. Or desperate. Doesn't look like the guards care to do anything about it, mind you.",
                                    "Some say the thieves operate in an organized fashion, much like a guild. I don't buy this nonsense. Ever seen a thief with anything else than spice for brains?",
                                    ],
                      "c1_evil" : [
                                    "Have you seen the new guard uniforms? They adorn their armor with fine silk, while the rest of us starve..., "
                                    "Captain Farah is one greedy bitch. Her men came yesterday to shake one of my friends down. Everyone hates her, but they say she's got protection in high places.",
                                    "The head of the guards is captain Farah. Best stay clear of them if you want my advice. Levies and taxes are all the guards cares about. If you ask me, they just make them up as they go.",
                                    "Some say the captain of the guard is getting too greedy, even among her own men... There are some who say they'd do better. Maybe they mean they'd be better at not getting caught.",
                                    "My neighbor complained about the taxes, so they took him in, and no one's heard of him since. Better suck it up and stay alive, if you want my 2 denars.",
                                    "The guards took everything from me, but what can I do? Only the King has higher authority, and he won't listen to a commoner.",
                                    "People here like to blame a secret Shalia cabal for all their ills, but let me tell you: it's our good Arios-loving captain who's robbing us blind at the moment!",
                                    "Captain Farah is stronger than ever in the slums. She's completely unopposed now, our only choice is to pay her cronies. Do you want to hang?",
                                    "I thought things couldn't get worse with the guard, but it did. They looted my shop and raped my wife and daughters. No one dared lift a finger...",
                                  ],
                     }
    
    district_gossip = {"The Slums" : [
                                        "Thieves are everywhere in the slums, and guards are even worse. I can't wait to get out of this place. Other places can't possibly be this bad!",
                                        "The worst thing about the slums is the stench. Or second worst thing. Worse is, you can get your throat slit for a denar and never smell a thing, ever again.",
                                        "The people of Zan are wicked, depraved and degenerates, but they sure are industrious. The city grows by the day! And the slums are her underbelly.",
                                        "I saw this strange girl in the sewers, all by herself. I told her there were monsters about, but she just smiled and said 'I know'",
                                        "The sewers are full of dirty critters and monsters... Some people even make a living hunting them.",
                                        "Have you met that strange girl, Willow? She's got odd ears, I wonder if she's fully human. She's cute, though.",
                                        "The farmland is haunted. Don't go there.",
                                        "There are always strange things going on in the country. I even hear some girls fuck animals there.",
                                        "Have you met Goldie at the farm? She's a sweet young woman. It's so sad, what happened to her family.",
                                        "I usually go and buy milk from Goldie at the farm. She gets it from her cows, but I'd rather milk her instead, if you catch my drift...",
                                        "If I wanted to buy animals, I'd go to the farm of course. But I hear some of them are behaving strangely.",
                                        "There's a crazy girl in the junkyard, sifting through the garbage to find Arios-knows-what. I tried to talk some sense into her, but she didn't even listen to me.",
                                        "I made a good deal last week, selling an old useless gizmo to the funny girl in the junkyard.",
                                        "Have you met Gina, the weird scientist in the junkyard? She buys and sells some weird machines. Gives me the creeps.",
                                        "A thieves guild, here, in the slums? Nonsense. The guard captain would never allow it."
                                     ],
                       "The Docks" : ["The league of adventurers is located somewhere near the harbor. The smell of rotting fish isn't off-putting to those rogues.",
                                      "Why are there so many whorehouses close to the sea? Is it because it's wetter here?",
                                      "Why are there so many whorehouses in the Docks? Is it because it sounds like 'Dicks'?",
                                      "Where there are sailors, there are whores. That's just a fact of life.",
                                      "There's a woman selling gifts by the seafront. She's got those huge knockers...",
                                      "Have you seen that woman in red, selling gifts by the seafront? She's got gifts all right, a huge pair of tits...",
                                      "They sell those strange slaves by the harbor, mindless drones with horse-like cocks... My girlfriend thinks it's cool, but I find it creepy.",
                                      "There are slavemongers from the Blood Islands about in the harbor. They treat humans like cattle. It's awesome.",
                                      "*whisper* Fancy ladies go to the harbor to buy some very special slaves... I hear they obey every order and they have huge... *whisper*"
                                      "Have you seen that fearsome slaver by the harbor, all clad in leather like a dominatrix? She turns me on... ",
                                     ],
                       "The Warehouse" : [],
                       "The Magic Gardens" : [],
                       "The Cathedra" : [
                                        "The Cathedra is the pride of Zan and the crown jewel of all Xeros. All rejoice in the glorious light of Arios!",
                                        "The Cathedra was a place for silent contemplation and prayer, but with all the filthy pilgrims who pour in now, day in, day out, I don't want to go there anymore.",
                                        "The waves of pilgrims heading to the Cathedra have been good for business, that's for sure.",
                                        "Judging by the fervor at the Cathedra, you'd think Arios was the one and only god... Many of us in this city are not followers of Arios; they seem to forget that all too easily.",
                                        ],
                       "The King's Hold" : [
                                            "The knights in the palace are all good Arios-loving folks. Thats warms my heart.",
                                            "I've been told of a secret swapping society in the King's hold, where members exchange their wives and daughters in all-night orgies...",
                                            "The nobles roam the King's Hold, like a pack of vultures hovering, waiting for their next meal. They all think they can sire the next heir, or take power by other means when the King's gone...",
                                            ],
                       }
    
    


    ## JOKES ##
    
    jokes = {
             "harmless" : ("What's the hardest thing about being a Guard? Telling your parents you're gay!", "My dog used to run after everyone on a horse. It got so bad, I had to take his horse away.", "What's the difference between a snowman and a snowwoman? Snowballs!", "How do you catch a bra? With a booby trap."),
             "sex" : ("Why was the luth teacher arrested? For fingering a minor...", "What do the Court and pussies have in common? One slip of the tongue, and you're in deep shit.", "Know what I do in my garden? Get down and dirty with my hoes.", "What do you call the useless part around a dick? A man!", "What’s the difference between a wife and a job? After 5 years, your job will still suck."),
             "dark" : ("How do you make a girl scream twice? First, fuck her in the ass, then wipe your dick on her curtains!", "I like my women like my wine... Locked in the cellar!", "A doctor tells his patient:'I'm sorry, but you've only got about 10 left.'\nPatient:'10 what? Months, weeks?'\nDoctor:'Nine, eight...'", "What’s the best part about sex with twenty-eight-year-olds? There are 20 of them!", "How many male chauvinists does it take to refuel the lamp? None. Let her do the dishes in the dark."),
             "mean" : ("I like you. People say I've no taste, but I like you.", "Damn, you're hot, but you'd be a lot hotter if you just shut up.", "I like my women attractive, dumb, and bitchy. You seem to fit the bill quite nicely.", "I'd hire you as a whore, but my girls have class...")
            }
             

    ## COMPLIMENTS ##
    
    compliments =  {
                    "beauty" : ("%s, aren't you beautiful today...", "%s, you're so lovely...", "%s, I swear you have the cutest face.", "Your face lights up when you smile, %s."),
                    "body" : ("Wow, you've got such a hot body you know.", "Baby, you've got such an amazing ass...", "I love your knockers, honey, they look amazing without a bra.", "Look at that nice piece of ass...", "Wow, you're stunning, makes me really want to touch the merchandise!"),
                    "mind" : ("You're a bright girl, I like that about you.", "A beautiful mind... Haven't you got everything?", "You seem to know a lot... You definitely should get to know more about me!", "I love the conversations we're having, it's always enlightening."),
                    "spirit" : ("You're always spirited and lively; it's very nice.", "At last, someone with character. I don't like dull people.", "You're always passionate about everything. I like that!")
                    }


    ## GIRL BACKGROUND ##
    
    slave_stories = ["slave_story1", "slave_story2", "slave_story3", "slave_story4", "slave_story5", "slave_story6", "slave_story7", "slave_story8"]
    
    origins = ["Zan", "the border with the Holy Lands", "the blood islands", "Karkyr", "Westmarch", "the desert of Hokoma", "Borgo, the port city", "the Goliath desolations", "the Arik mountains"]
    
    origin_description = {
                          "Zan" : "I know the old streets of Zan like the back of my hand... I used to walk to the market with my %s, wondering what the strange houses with the red lanterns were... Now I know... *blush*",
                          "the border with the Holy Lands" : "The Holy Lands are a place of war and suffering, always have been. Still, I remember a few peaceful moments. Walking with my %s across old battlefields, covered with red blooming flowers, watching nature reclaim its rights...",
                          "the blood islands" : "The blood islands are a cruel place... I remember going to the arena with my %s and me, watching slaves being shred to pieces by monsters... It was bloody and exciting. The arena here is very tame in comparison.",
                          "Karkyr" : "Karkyr is a beautiful and fascinating city, ruled by the Archmage Council. Everything is magical, even the wells and the furniture can speak. It used to freak my %s out! There were also some spectacular incidents, of course, but that was part of the fun.",
                          "Westmarch" : "The Westmarch Principalities, where I grew up, is a very unpredictable place. One day a city is flourishing, the next it descends into anarchy, and raiders loot and rape the town. I used to think danger was exciting, but my %s didn't like it one bit.", 
                          "the desert of Hokoma" : "The desert people are a quiet and wise sort. My %s know many secrets, and knew how to keep them. I miss the peace and quiet of nights in the desert.",
                          "Borgo, the port city" : "There's no describing how busy and crowded Borgo is on most days, with sailors from all other the world selling everything you can imagine, and many other things, too. I loved to sit by the pier with my %s in the early hours, listenning to the waves.", 
                          "the Goliath desolations" : "The desolations are a cold, horrible place. Whether you are rich or poor, you have to work hard everyday, just to barely survive. If I didn't have my %s to rely on, I don't know what I would have done.",
                          "the Arik mountains" : "They say the Arik moutains are the highest in the world. The air is pure there, not full of filth and magic like here... My %s taught me how to love and respect the mountains.",
                          }
    
    homes = ["palace", "hovel", "mansion", "shack", "hut", "big house", "small house", "temple", "shop", "old house", "tower", "church"]
    
    guardians = ["parents", "dad", "mom", "uncle", "grand-ma", "auntie", "grand-pa", "big brother", "big sister", "little brother", "little sister", "tutor"]
    
    hobbies = ["painting", "singing", "playing music", "hiking", "gambling", "shopping", "reading", "weaving", "swimming", "writing"]
    
    colors = ["white", "yellow", "red", "green", "blue", "purple", "orange", "pink", "black"]
    
    food = ["cake", "cream", "fish", "fruits", "meat", "cookies", "sweets", "chocolate", "bread", "rice"]
    
    drinks = ["milk", "sake", "wine", "beer", "apple juice", "lemon juice", "mango juice", "spice water"]
    

    ## MC interact counters ##
    
#    MC_interact_counters = {
#                            "chat" : 0, "gossip" : 0, "life" : 0, "love" : 0,
#                            "origins" : 0, "hobbies" : 0, "likes" : 0, "dislikes" : 0,
#                            "harmless" : 0, "adult" : 0, "dark" : 0, "mean" : 0,
#                            "present" : 0, "money" : 0,
#                            "beauty" : 0, "body" : 0, "mind" : 0, "spirit" : 0,
#                            "hand" : 0, "kiss" : 0, "ass" : 0, "breasts" : 0, "pussy" : 0,
#                            "service" : 0, "sex" : 0, "anal" : 0, "fetish" : 0,
#                            "offer" : 0, 
#                            "well_being" : 0, "happiness" : 0, "job" : 0, 
#                            "scold" : 0, "threaten" : 0, "beat" : 0, "torture" : 0,
#                            "charm_obedience" : 0, "charm_sensitivity" : 0, "charm_libido" : 0, "charm_love" : 0, "charm_fear" : 0
#                            }

    ## Results dictionaries
        
    roll_dict = {1 : "critical failure", 2 : "failure", 3 : "neutral", 4 : "neutral", 5 : "success", 6 : "critical success"}    
    result_dict = {-999 : "very bad", 1 : "bad", 6 : "average", 9 : "good", 12 : "very good", 15 : "perfect"}
    result_colors = {"very bad" : c_red, "bad" : c_lightred, "average" : c_white, "good" : c_lightgreen, "very good" : c_green, "perfect" : c_orange}
    
#    result_value = {"very bad" : 0, "bad" : 1, "average" : 2, "good" : 3, "very good" : 4, "perfect" : 5}
#    roll_value = {"critical failure" : 0, "failure" : 1, "neutral" : 2, "success" : 3, "critical success" : 4}
    
#    result_names = {v: k for k, v in result_value.items()}
#    roll_names = {v: k for k, v in roll_value.items()}
        
    perform_job_dict = {
#                        "roll_critical failure" : "\n{color=[c_red]}%s wasn't trying hard today. She barely even paid attention to what she was doing.{/color}",
#                        "roll_failure" : "\n%s wasn't really into it.",
#                        "roll_neutral" : "\n%s went about her job as usual.",
#                        "roll_success" : "\n%s was really motivated today.",
#                        "roll_critical success" : "\n{color=[c_green]}%s did everything she could to please the customers.{/color}",
                        
                        "waitress_stats" : (("charm", 6), ("constitution", 2), ("body", 1), ("beauty",1)),
                        "waitress_changes" : ((("charm",), 100, 3), (("constitution",), 25, 2), (("obedience", "body", "beauty"), 15, 1), (("sensitivity",), 15, -1)),
                        
                        "waitress_init" : "%s served drinks to %s customers.",
                        "waitress_tags" : ["waitress"],
                        "waitress_tags2" : ["geisha"],
                        
                        "dancer_stats" : (("body", 6), ("libido", 2), ("refinement", 1), ("charm",1)),
                        "dancer_changes" : ((("body",), 100, 3), (("libido",), 25, 2), (("constitution", "refinement", "charm"), 15, 1), (("obedience",), 15, -1)),
                        
                        "dancer_init" : "%s danced sexily for %s customers.",
                        "dancer_tags" : ["dancer"],
                        "dancer_tags2" : ["profile", "fight"],
                        
                        "masseuse_stats" : (("beauty", 6), ("sensitivity", 2), ("refinement", 1), ("body",1)),
                        "masseuse_changes" : ((("beauty",), 100, 3), (("sensitivity",), 25, 2), (("refinement", "body", "libido"), 15, 1), (("constitution",), 15, -1)),
                        
                        "masseuse_init" : "%s gave a hot massage to %s customers.",
                        "masseuse_tags" : ["masseuse"],
                        "masseuse_tags2" : ["swim"],
                        
                        "geisha_stats" : (("refinement", 6), ("obedience", 2), ("beauty", 1), ("charm",1)),
                        "geisha_changes" : ((("refinement",), 100, 3), (("obedience",), 25, 2), (("beauty", "charm", "sensitivity"), 15, 1), (("libido",), 15, -1)),
                        
                        "geisha_init" : "%s entertained %s customers with a display of traditional arts.",
                        "geisha_tags" : ["geisha"],
                        "geisha_tags2" : ["waitress"],
                        
                        "waitress_very bad" : "\n{color=[c_red]}%s spilled drinks everywhere and didn't even apologize. The customers thought the service was terrible and complained.",
                        "waitress_bad" : "\n{color=[c_lightred]}%s was shy and clumsy. The customers grumbled that the service was bad.",
                        "waitress_average" : "\n%s served everyone and chatted with the customers. They thought she was ok.",
                        "waitress_good" : "\n{color=[c_lightgreen]}%s flirted with the customers as she served them drinks, making them feel welcome.",
                        "waitress_very good" : "\n{color=[c_green]}%s traded rowdy jokes with the customers, flashing her goods while serving. Everyone loved her.",
                        "waitress_perfect" : "\n{color=[c_orange]}%s worked without underwear today and used all of her charms to drive the customers wild. They completely fell over for her.",
                        
                        "dancer_very bad" : "\n{color=[c_red]}%s has two left feet. Her dancing was embarrassingly bad and the customers booed and threw things at her.",
                        "dancer_bad" : "\n{color=[c_lightred]}%s's dance was awkward and uninteresting.",
                        "dancer_average" : "\n%s danced suggestively in front of the customers.",
                        "dancer_good" : "\n{color=[c_lightgreen]}The club heats up as %s dances around the stage, flashing her goods.",
                        "dancer_very good" : "\n{color=[c_green]}The crowd goes wild as %s dances and strips on stage, her skin glistening with sweat as she works that pole.",
                        "dancer_perfect" : "\n{color=[c_orange]}The customers cannot take their eyes off %s as she waves to the music, slowly and sexily stripping off, until she stands there naked and wet under their perverted gaze.",
                        
                        "masseuse_very bad" : "\n{color=[c_red]}%s clumsily goes around giving back rubs, hurting some of them in the process. They grumble and tell her to go away.",
                        "masseuse_bad" : "\n{color=[c_lightred]}%s tries to give customers a relaxing rub. Her technique is lacking, and the customers are left unsatisfied.",
                        "masseuse_average" : "\n%s gives massages to customers in the onsen, helping them relax and feel more confortable.",
                        "masseuse_good" : "\n{color=[c_lightgreen]}%s joins the customers in the onsen, wearing only a towel, and give them a nice massage. The customers are visibly turned on after she's done.",
                        "masseuse_very good" : "\n{color=[c_green]}The towels slip off as %s gives customers a passionate body massage. She uses her hands and tongue to turn them on while they wait for their turn.",
                        "masseuse_perfect" : "\n{color=[c_orange]}%s goes naked into the onsen among the customers, rubbing her body against them until they come on her white skin.",
                        
                        "geisha_very bad" : "\n{color=[c_red]}%s completely lacks class and comes across as clumsy and dumb. The customers complain she is just a street girl dressed as a geisha.",
                        "geisha_bad" : "\n{color=[c_lightred]}%s keeps trying to act like a real geisha when serving tea; it's obvious to anyone that she's not the real thing, though, and the customers quickly loose interest.",
                        "geisha_average" : "\n%s plays a little shamisen and chats with the customers, helping them relax and forget their worries...",
                        "geisha_good" : "\n{color=[c_lightgreen]}%s holds a tea ceremony with the customers, exchanging pleasantries while she nonchalantly lets her kimono slide to the side, revealing some skin.",
                        "geisha_very good" : "\n{color=[c_green]}%s is the life of the party as she greets customers by their name and compliments them. Wearing a short, revealing kimono, she brushes against them, leaving them all turned on by her scent.",
                        "geisha_perfect" : "\n{color=[c_orange]}%s is the epitome of the geisha, being in turn sweet, gifted, witty, and sexy as hell. She wears a see-through kimono, kinkily displaying her cleavage and thighs to drive the customers wild.",
                        
                        "flasher" : " A customer dared her to show her tits, and she proudly displayed them for everyone to see.",
                        "temptress" : " She convinced the customer%s to try something different.",
                        "catgirl" : " She purred as she eagerly drank all the customer's cum and licked his dick clean.",
                        "virgin" : " The customer was amazed that she was a virgin and paid extra.",
                        "virgin_group" : " The customers were amazed that she was a virgin and paid extra.",
                        "reroll" : " She nearly avoided a catastrophe.",
                        "unlucky" : "",
                        "lucky" : "",
                        "random item" : " The customer%s left something valuable.",
                        "beauty bonus" : " The customer%s found her beauty stunning.",
                        "body bonus" : " The customer%s loved her curves.",
                        "charm bonus" : " The customer%s fell under her charm.",
                        "refinement bonus" : " The customer%s loved how refined she was.",
                        "libido bonus" : " The customer%s thought she was hot.",
                        "obedience bonus" : " The customer%s liked how she took orders.",
                        "constitution bonus" : " The customer%s thought she was fit.",
                        "sensitivity bonus" : " The customer%s loved how sensitive she was.",
                        
                        "DT_group" : " The customers took turns sticking their dicks down her throat as deep as they could.",
                        "DT" : " The customer was amazed that he could stick his dick so far down her throat.",
                        "bukkake" : " She was fucked hard in her every hole, then the customers took turns coming all over her face.",
                        "creampie" : " He came all over her pussy and belly while she moaned with pleasure.",
                        "creampie_group" : " They took turns coming into her pussy until it dripped buckets of cum.",
                        "anal creampie" : " He fucked her ass hard then shot a huge load in her open asshole.",
                        "anal creampie_group" : " They took turns fucking and cumming in her ass until her belly was swollen with cum.",
                        "cum on face" : " He moaned and came loads all over her face and hair.",
                        "cum on face_group" : " They moaned, cumming loads all over her face and hair.",
                        "swallow" : " She eagerly swallowed the cum as it dripped down her throat.",
                        "irrumatio" : "",
    
                        "not satisfied" : " He was disappointed that she wouldn't do what he wanted.",
    
                        "roll_critical failure" : "\n{color=[c_red]}%s wasn't trying hard today. She barely even paid attention to what she was doing.{/color}",
                        "roll_failure" : "\n%s wasn't really into it.",
                        "roll_neutral" : "\n%s went about her job as usual.",
                        "roll_success" : "\n%s was really motivated today.",
                        "roll_critical success" : "\n{color=[c_green]}%s did everything she could to please.{/color}",
                        
                        "bisexual_roll_critical failure" : "\n{color=[c_red]}%s weren't trying hard today. They weren't paying attention to what they were doing.{/color}",
                        "bisexual_roll_failure" : "\n%s weren't really into it.",
                        "bisexual_roll_neutral" : "\n%s went about their job as usual.",
                        "bisexual_roll_success" : "\n%s were really motivated and playful today.",
                        "bisexual_roll_critical success" : "\n{color=[c_green]}%s did everything they could to please the customers and each other.{/color}",
                        
                        "anal_stats" : (("anal", 6), ("constitution", 2), ("body", 1), ("sex",1)),
                        "anal_changes" : ((("anal",), 100, 3), (("constitution",), 50, 2), (("libido", "obedience", "body"), 25, 1), (("sensitivity",), 25, -1)),
                        "anal_init" : " %s wanted to fuck %s in the ass.",
                        "anal_tags" : ["anal"],
                        
                        "sex_stats" : (("sex", 6), ("libido", 2), ("beauty", 1), ("service",1)),
                        "sex_changes" : ((("sex",), 100, 3), (("libido",), 50, 2), (("sensitivity", "constitution", "beauty"), 25, 1), (("obedience",), 25, -1)),                      
                        "sex_init" : " %s wanted to have sex with %s.",
                        "sex_tags" : ["sex"],
                        
                        "service_stats" : (("service", 6), ("sensitivity", 2), ("charm", 1), ("fetish",1)),
                        "service_changes" : ((("service",), 100, 3), (("sensitivity",), 50, 2), (("obedience", "libido", "charm"), 25, 1), (("constitution",), 25, -1)),                      
                        "service_init" : " %s wanted %s to give service.",
                        "service_tags" : ["service"],
                        
                        "fetish_stats" : (("fetish", 6), ("obedience", 2), ("refinement", 1), ("anal",1)),
                        "fetish_changes" : ((("fetish",), 100, 3), (("obedience",), 50, 2), (("constitution", "sensitivity", "refinement"), 25, 1), (("libido",), 25, -1)),
                        "fetish_init" : " %s had some very special requests for %s.",
                        "fetish_tags" : ["fetish"],
                        
                        "whore_init" : "%s came to your brothel and chose %s.",
                        "bisexual_tags" : ["bisexual"],
                        "group_tags" : ["group"],
                        
                        "anal_very bad" : "\n{color=[c_red]}%s had a hard time and didn't like it one bit. The customer quickly lost interest and left grumbling.",
                        "anal_bad" : "\n{color=[c_lightred]}%s doesn't like it in the ass and it showed. She didn't enjoy herself and neither did the customer.",
                        "anal_average" : "\n%s moans as the customer gets his way with her ass. She's growing to enjoy anal sex.",
                        "anal_good" : "\n{color=[c_lightgreen]}%s takes it up the ass with moans of pleasure. The customer comes all over her butt with a delighted smile on his face.",
                        "anal_very good" : "\n{color=[c_green]}Looks like this girl was made for anal. %s uses her ass to work the customer's dick until it's hard as a rock, inviting him to cum and fill her up.",
                        "anal_perfect" : "\n{color=[c_orange]}. %s is an anal sex goddess. She takes it up the ass with unbridled pleasure, crying out loud as the customer releases his seed deep into her belly.",
                        
                        "sex_very bad" : "\n{color=[c_red]}%s is a terrible lay, not enjoying it one bit as the customer violates her body. The customer thought she was awful and left complaining.",
                        "sex_bad" : "\n{color=[c_lightred]}%s tries her best to give the customer a good time, but her fake cries are rather obvious. The customer left relieved but disappointed.",
                        "sex_average" : "\n%s fucks with the customer and tries a few interesting positions. She is starting to enjoying herself and some of her moans were clearly not fake.",
                        "sex_good" : "\n{color=[c_lightgreen]}After a quick bout of foreplay, %s and the customer have wild sex in various positions until he cums hard all over her body.",
                        "sex_very good" : "\n{color=[c_green]}%s is amazing and works that dick like a succubus. She reaches orgasm and cries out as the customer pumps warm cum into her.",
                        "sex_perfect" : "\n{color=[c_orange]}%s cannot get enough, screaming loudly as she enjoys being fucked through multiple orgasms and being covered in the customer's sticky cum.",
                        
                        "service_very bad" : "\n{color=[c_red]}The customer complains that %s doesn't know how to work a dick properly. He leaves, upset that she didn't even manage to finish him off.",
                        "service_bad" : "\n{color=[c_lightred]}%s awkwardly tries to service the customer, but her technique is clearly lacking. He ends up masturbating while she looks on with shame.",
                        "service_average" : "\n%s does her best to service the customer, slowly developping her own technique. After teasing the customer for a while, she smiles as he releases his load on her face.",
                        "service_good" : "\n{color=[c_lightgreen]}%s uses her skills to make the customer cum quickly and repeatedly, covering her face and tits with bodily fluids.",
                        "service_very good" : "\n{color=[c_green]}%s is already wet thinking of the customer's dick as she starts sucking and licking it. It isn't long until the customer comes hard in her mouth.",
                        "service_perfect" : "\n{color=[c_orange]}%s offers the customer her body to play with and makes wet sounds as she expertly sucks him off. She savours the feeling of hot, sticky cum on her face and in her mouth, begging the customer for more.",
                        
                        "fetish_very bad" : "\n{color=[c_red]}%s is scared and tense under the customer's touch. She is not enjoying this at all and the customer leaves completely unsatisfied.",
                        "fetish_bad" : "\n{color=[c_lightred]}%s shivers as the customer does new, weird things to her body. The customer watches her reactions with some interest at first, but the slow pace quickly bores him.",
                        "fetish_average" : "\n%s moans a little as she is blindfolded and tied up. She seems more curious than scared about what's happening to her now, and the customer has fun playing with her for a while.",
                        "fetish_good" : "\n{color=[c_lightgreen]}%s shivers with excitement as she feels the bite of the ropes in her skin. The customer teases her body until she is completely wet, begging to be fucked.",
                        "fetish_very good" : "\n{color=[c_green]}%s enjoys the mix of pleasure and pain and begs submissively for more. The customer violates her as she's tied up, bringing her to climax as he cums hard into her.",
                        "fetish_perfect" : "\n{color=[c_orange]}%s enjoys everything the customer does to her, suggesting new, humiliating ways to tied her up and punish her. She screams with pain and pleasure, cumming multiple time as her various holes are violated.",
                        
                        "bisexual_very bad" : "\n{color=[c_red]}%s were clumsy and uncooperative. The customer quickly got bored and left grumbling about a refund.",
                        "bisexual_bad" : "\n{color=[c_lightred]}It's obvious %s aren't really good at this and are just pretending. The customer fucks them one after the other, but there is no chemistry.",
                        "bisexual_average" : "\n%s slowly finger their pussies while the customer looks on with lust. He soon joins them, and they do their best to make it a memorable time.",
                        "bisexual_good" : "\n{color=[c_lightgreen]}%s are eagerly touching and teasing each other. They playfully try new ways to excite the customer, and he quickly cums as they play with each other's breasts and pussy.",
                        "bisexual_very good" : "\n{color=[c_green]}%s love cock as much as they love each other. They both work the customer's dick using their hands, mouths and bodies, making him come all over them.",
                        "bisexual_perfect" : "\n{color=[c_orange]}%s are perfect sex kittens, expertly licking each other's cunt while the customer fucks their every hole. They eagerly kiss and drink the cum from each other's mouth as he looks on with bliss.",
                        
                        "group_very bad" : "\n{color=[c_red]}With too many customers to satisfy, %s seems at a loss and doesn't know what to do. The group leaves unsatisfied and complaining.",
                        "group_bad" : "\n{color=[c_lightred]}%s is kind of shy in a group. She tries to do her job but the customers find her performance rather underwhelming.",
                        "group_average" : "\nThe customers take turns fucking %s. She takes it all in stride.",
                        "group_good" : "\n{color=[c_lightgreen]}%s works hard to please every customer in the group, bringing them to a grand finish using her every hole. A moment they will not soon forget.",
                        "group_very good" : "\n{color=[c_green]}%s is fucked long and hard by the customers and it looks like she isn't ready to stop. It looks like no matter how many time they fuck her, she always wants another dick.",
                        "group_perfect" : "\n{color=[c_orange]}%s could'nt wait to have her every hole filled by the customers, not letting them rest until they have spurted their cum over every inch of her body."
                        }
    
    stat_increase_dict = {
                        "level" : "\n{color=[c_lightgreen]}LEVEL UP{/color}",
                        "stat" : "\n%s {color=[c_green]}+%s{/color}",
                        "stat_neg" : "\n%s {color=[c_red]}%s{/color}",
                        "xp" : "\nXP {color=[c_lightgreen]}+%s{/color}",
                        "xp_dark" : "\nXP {color=[c_darkgreen]}+%s{/color}",
                        "jp" : "\nJP {color=[c_orange]}+%s{/color}",
                        "gold+" : "\nGold {color=[c_darkgold]}+%s{/color}",
                        "gold-" : "\nGold {color=[c_darkgold]}%s{/color}",
                        "rep" : "\nRep. {color=[c_softpurple]}+%s{/color}",
                        "rep_neg" : "\nRep. {color=[c_red]}%s{/color}",
                        "job_up" : "\n{color=[c_orange]}JOB SKILL UP{/color}",
                        "rank" : "\n{color=[c_softpurple]}NEW RANK AVAILABLE{/color}"
                        }
    
    # Contrast colors are for lighter backgrounds
    event_color = {"special": "{color=[c_orange]}%s{/color}", 
                   "good": "{color=[c_green]}%s{/color}",
                   "a little good": "{color=[c_lightgreen]}%s{/color}",
                   "average": "{color=[c_yellow]}%s{/color}",
                   "a little bad": "{color=[c_lightred]}%s{/color}",
                   "a little bad contrast": "{color=[c_redpink]}%s{/color}",
                   "bad": "{color=[c_red]}%s{/color}",
                   "very bad": "{color=[c_crimson]}%s{/color}",
                   "fear": "{color=[c_purple]}%s{/color}",
                   "normal": "{color=[c_white]}%s{/color}",
                   "normal contrast": "{color=[c_black]}%s{/color}",
                   }
    
    log_event_dict = {
                        "level" : "{color=[c_gold]}%s has gained a new level.{/color}",
                        "job_up" : "{color=[c_orange]}%s has increased her %s skill.{/color}",
                        "rank" : "{color=[c_gold]}%s is ready to reach a new rank.{/color}"
                        }

    attraction_dict = {
                       "beauty_good" : "was very beautiful", 
                       "body_good" : "had a perfect body", 
                       "charm_good" : "had great charm",
                       "refinement_good" : "was really refined",
                       "beauty_bad" : "was ugly", 
                       "body_bad" : "was plain looking", 
                       "charm_bad" : "was a bore",
                       "refinement_bad" : "was clumsy"
                      }
    
    #### BROTHEL SERVICES ####
    
    maintenance_desc = {"clean" : "Your brothel is spotless and " + event_color["good"] % "{b}clean{/b}" + ".",
                    "clean enough" : "Your brothel is " + event_color["a little good"] % "{b}clean enough{/b}" + ".",
                    "dusty" : "Your brothel is getting " + event_color["average"] % "{b}dusty{/b}" + ".",
                    "dirty" : "Your brothel is getting " + event_color["a little bad"] % "{b}dirty{/b}" + ".",
                    "disgusting" : "Warning! Your brothel is " + event_color["bad"] % "{b}disgusting{/b}" + "!",
                    "fire" : event_color["very bad"] % "Warning!!! Your brothel is at risk of a fire!"
                    }
    
    gold_threat_amount = {1 : 500, 2 : 1000, 3 : 2500, 4 : 10000, 5: 25000} # Gain 1 threat for every slice of X gold depending on DISTRICT RANK up to gold max
    
    gold_threat_max = {1 : 4, 2 : 12, 3 : 18, 4 : 24, 5: 30, 6 : 36, 7 : 52} # Max gold threat depending on CHAPTER
    
    
    
    #### ITEMS ####

    quality_prefix = {
                      "dress_0" : "Ragged ",
                      "dress_1" : "Worn ",
                      "dress_2" : "Simple ",
                      "dress_3" : "Fine ",
                      "dress_4" : "Fancy ",
                      "dress_5" : "Enchanted ",
                      "dress_6" : "Legendary ",

                      "necklace_0" : "Rusty ",
                      "necklace_1" : "Broken ",
                      "necklace_2" : "Small ",
                      "necklace_3" : "",
                      "necklace_4" : "Heavy ",
                      "necklace_5" : "Magical ",
                      "necklace_6" : "Legendary ",
                      
                      "ring_0" : "Rusty ",
                      "ring_1" : "Fake ",
                      "ring_2" : "Small ",
                      "ring_3" : "Medium ",
                      "ring_4" : "Large ",
                      "ring_5" : "Magical ",
                      "ring_6" : "Legendary ",
                      
#                      "gift_1" : "Cheap ",
#                      "gift_2" : "Common ",
#                      "gift_3" : "Fine ",
#                      "gift_4" : "Rare ",
                      
                      "food_0" : "Rotten ",
                      "food_1" : "Spicy ",
                      "food_2" : "Tasty ",
                      "food_3" : "Juicy ",
                      "food_4" : "Organic ",
                      "food_5" : "Enchanted ",
                      "food_6" : "Legendary ",
                      
#                      "accessory_1" : "Worn ",
#                      "accessory_2" : "Simple ",
#                      "accessory_3" : "Fine ",
#                      "accessory_4" : "Fancy ",
#                      "accessory_5" : "Enchanted ",
                      
                      "scroll_0" : "Tattered ",
                      "scroll_1" : "Minor ",
                      "scroll_2" : "Lesser ",
                      "scroll_3" : "",
                      "scroll_4" : "Greater ",
                      "scroll_5" : "Ultimate ",
                      
                      "misc_0" : "Worthless ",
                      "misc_1" : "Cheap ",
                      "misc_2" : "Common ",
                      "misc_3" : "Fine ",
                      "misc_4" : "Rare ",
                      "misc_5" : "Magical ",
                      "misc_6" : "Legendary "
                      
                      }
                      
    quality_modifier = { #! Very high increase in cost for upper ranks
                        0 : 0.4,
                        1 : 1.0,
                        2 : 5.0,
                        3 : 20.0,
                        4 : 50.0,
                        5 : 100.0,
                        6 : 250.0
                        }
                        
    

    #### QUESTS & CLASSES ####

    ## PRICES ##
    
    special_quest_description = {
                                 "Cheap" : "This class is cheap. Enroll now and benefit from better prices!",
                                 "Masterclass" : "This class is taught by a master. Stats will increase faster than normal.",
                                 "High reward" : "The rewards for this quest are more important than usual.",
                                 "Notorious" : "This quest will bring extra reputation when completed."
                                 }
    
    quest_base_gold = { # This the gold value per stat point of requirement and per day
                        "normal" : 1,
                        "sex" : 2
                        }
    
    class_prices = {
                    1 : 100,
                    2 : 250,
                    3 : 500,
                    4 : 1000,
                    5 : 1000
                    }
                        
    ## CLASS PREFIXES ##
    
    class_prefixes = {
                    1 : "Beginner ",
                    2 : "Regular ",
                    3 : "Advanced ",
                    4 : "Elite ",
                    5 : "Elite "
                    }


    #### MODIFIERS ####

    ## PRICE MODIFIERS ##
        
    price_modifiers = {
                            "buy" : 1.0,
                            "sell" : 0.6,
                            "bargain" : 0.75,
#                             "buy item" : 1.0,
#                             "sell item" : 0.6
                            }

#     price_modifiers_trader = {
#                             "buy girl" : 0.9,
#                             "sell girl" : 0.7,
#                             "buy item" : 0.9,
#                             "bargain item" : 0.75,
#                             "sell item" : 0.7
#                             }
    
    ## ROLL MODIFIERS ##
    
    stat_bonus = {"primary" :  (4, 2.5, 1.5, 0),
                  "secondary" : (2, 1.5, 1, 0),
                  "booster" : (1.5, 1, 0.5, 0)
                  }
    
    roll_modifier = {
                      "critical success" : 1.3,
                      "success" : 1.1,
                      "neutral" : 1.0,
                      "failure" : 0.9,
                      "critical failure" : 0.7
                      }
    
    ## XP MODIFIERS ##
    
    xp_bonus_dict = {
            "very bad" : 5,
            "bad" : 10, #7.5,
            "average" : 15, #10,
            "good" : 20, #15,
            "very good" : 25, #20,
            "perfect" : 40 #35
            }
    
    ## TIP and REP ##


    
    helper_cost = {
                1 : 5,
                2 : 10,
                3 : 25,
                4 : 50,
                5 : 100
                }

    max_upkeep = {
                1 : 75,
                2 : 250,
                3 : 500,
                4 : 1000,
                5 : 2000
                }



## XP and RANK ##


    ## LEVEL UP ##
    
    xp_to_levelup = {0 : 0}
    
    for i in range(1, 25):
                
        xp_to_levelup[i] = xp_to_levelup[i-1] + 10 * (i) ** 2
                      
#        if i < 5:
#            xp_to_levelup[i] = xp_to_levelup[i-1] + 5 * (i + 1)
        
#        elif i < 10:
#            xp_to_levelup[i] = xp_to_levelup[i-1] + 15 * (i + 1)
                      
#        elif i < 15:
#            xp_to_levelup[i] = xp_to_levelup[i-1] + 40 * (i + 1)
                      
#        else:
#            xp_to_levelup[i] = xp_to_levelup[i-1] + 100 * (i + 1)
        

    ## MC LEVEL UP ##
    
    MC_xp_to_levelup = {0 : 0}
    
    for i in range(1, 26):
                
        MC_xp_to_levelup[i] = MC_xp_to_levelup[i-1] + 10 * i ** 2



    ## RANKS / JOB POINTS ##
    
    # Rank names #

    rank_name = {
                 1 : "C", #"{color=[c_white]}C{/color}",
                 2 : "B", #"{color=[c_yellow]}B{/color}",
                 3 : "A", #"{color=[c_lightblue]}A{/color}",
                 4 : "S", #"{color=[c_purple]}S{/color}",
                 5 : "X", #"{color=[c_gold]}XS{/color}",
                 "waitress0": "Unskilled",
                 "waitress1": "Beginner Waitress",
                 "waitress2": "Competent Waitress",
                 "waitress3": "Skilled Barmaid",
                 "waitress4": "Expert Barmaid",
                 "waitress5": "Tavern Queen",
                 "dancer0": "Unskilled",
                 "dancer1": "Beginner Dancer",
                 "dancer2": "Competent Dancer",
                 "dancer3": "Skilled Stripper",
                 "dancer4": "Expert Stripper",
                 "dancer5": "Poledance Queen",
                 "masseuse0": "Unskilled",
                 "masseuse1": "Beginner Masseuse",
                 "masseuse2": "Competent Masseuse",
                 "masseuse3": "Skilled Massage girl",
                 "masseuse4": "Expert Massage girl",
                 "masseuse5": "Soapy Queen",
                 "geisha0": "Unskilled",
                 "geisha1": "Beginner Maiko",
                 "geisha2": "Competent Maiko",
                 "geisha3": "Skilled Geisha",
                 "geisha4": "Expert Geisha",
                 "geisha5": "Courtesan Queen",
                 "sex0" : "Unskilled",
                 "sex1" : "Beginner Prostitute",
                 "sex2" : "Competent Prostitute",
                 "sex3" : "Skilled Whore",
                 "sex4" : "Expert Whore",
                 "sex5" : "Brothel Queen",
                 "service0" : "Unskilled",
                 "service1" : "Beginner Wanker",
                 "service2" : "Competent Wanker",
                 "service3" : "Skilled Cocksucker",
                 "service4" : "Expert Cocksucker",
                 "service5" : "Blowjob Queen",
                 "anal0" : "Unskilled",
                 "anal1" : "Beginner Anal Slut",
                 "anal2" : "Competent Anal Slut",
                 "anal3" : "Skilled Butt Lover",
                 "anal4" : "Expert Butt Lover",
                 "anal5" : "Anal Queen",
                 "fetish0" : "Unskilled",
                 "fetish1" : "Beginner Servant",
                 "fetish2" : "Competent Servant",
                 "fetish3" : "Skilled Escort",
                 "fetish4" : "Expert Escort",
                 "fetish5" : "Bondage Queen"
                 }


    jp_to_level = {
                   -1 : 0,
                   0 : 50,
                   1 : 125,
                   2 : 250,
                   3 : 425,
                   4 : 650,
                   }
                   
    job_up_dict = {
                   "waitress" : ("charm", "constitution", "beauty", "body"),
                   "dancer" : ("body", "libido", "charm", "refinement"),
                   "masseuse" : ("beauty", "sensitivity", "body", "refinement"),
                   "geisha" : ("refinement", "obedience", "charm", "beauty"),
                   "service" : ("service", "sensitivity", "charm", "fetish"),
                   "sex" : ("sex", "libido", "beauty", "service"),
                   "anal" : ("anal", "constitution", "body", "sex"),
                   "fetish" : ("fetish", "obedience", "refinement", "anal")
                   }
                           
    job_up_change = {
                     1 : (5, 5, 0),
                     2 : (10, 5, 0),
                     3 : (15, 10, 5),
                     4 : (25, 15, 10),
                     5 : (40, 25, 15)
                     }

    rep_to_rank = {
                    0 : 0,
                    1 : 10,
                    2 : 25,
                    3 : 50,
                    4 : 100,
                    5 : 1000
                    }

    rep_gains_dict = {
                     1 : 6, # average score or better raises reputation
                     2 : 6, # average score or better raises reputation
                     3 : 9, # good score or better raises reputation
                     4 : 9, # good score or better raises reputation
                     5 : 12 # very good score raises reputation
                     }
    
    rep_loss_dict = {
                     1 : -1, # very bad score damages reputation
                     2 : -1, # very bad score damages reputation
                     3 : 5, # bad score or lower damages reputation
                     4 : 5, # bad score or lower damages reputation
                     5 : 8 # average score or lower damages reputation
                     }

    rank_cost = {
                    1 : 0,
                    2 : 100,
                    3 : 250,
                    4 : 1000,
                    5 : 2500
                    }
                    
    jp_result_modifier = {
                         "very bad" : -2,
                         "bad" : -1,
                         "average" : 0,
                         "good" : 1,
                         "very good" : 2,
                         "perfect" : 4
                         }
                         
    jp_customer_rank_modifier = {
                                 1 : 1,
                                 2 : 2,
                                 3 : 3,
                                 4 : 4,
                                 5 : 5
                                 }
    
    jp_job_level_modifier = {# JP are harder to get as girls raise in level
                            0 : 0,
                            1 : -1,
                            2 : -2,
                            3 : -3,
                            4 : -4,
                            5 : -5
                            }



#### TRANSFORMS ####

init:
    
    transform blink:
        on start:
            alpha 1.0
            linear 0.5 alpha 0.0
            linear 0.5 alpha 1.0
            pause 2.0
            repeat

    transform myalpha(a):
            alpha a
                    
    transform totheleft:
        xalign 0.2
        yalign 1.0
                    
    transform totheright:
        xalign 0.8
        yalign 1.0
                            
    transform centertextbox:
        xalign 0.5
        yanchor 1.0
        ypos 0.8

    transform centerleft:
        xalign 0.0
        yalign 0.5

    transform centerright:
        xalign 1.0
        yalign 0.5
    
    transform quake:
        linear 0.1 xoffset -2 yoffset 2
        linear 0.1 xoffset 3 yoffset -3
        linear 0.1 xoffset 2 yoffset -2
        linear 0.1 xoffset -3 yoffset 3
        linear 0.1 xoffset 0 yoffset 0
        repeat
        
    $ define.move_transitions("smove", 2.0)
                            
    transform jumping:
        linear 0.1 yoffset -50
        linear 0.1 yoffset 0
                            
        
    image princess fucked: ## There really must be a shorter way to do this, but I've had no luck so far

        "NPC/Misc/princess/princess fucked1.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked2.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked3.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked4.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked5.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked6.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked7.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked8.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked9.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked10.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked11.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked12.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked13.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked14.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked15.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked16.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked17.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked18.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked19.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked20.gif"
        pause 0.03
        "NPC/Misc/princess/princess fucked21.gif"
        pause 0.03
        repeat
        


#### COLORS #### Shortcuts for color codes used in the game

init -3 python:

    c_white = "#FFFFFF"
    
    c_black = "#000000"
    
    c_grey = "#ADB9CC"
                    
    c_lightgrey = "#D3D3D3"
    
    c_steel = "#4682B4"
    
    c_darkred = "#8B0000"
    
    c_darkblue = "#00008b"
                            
    c_grey_blue = "#5d5ea0"
    
    c_darkgrey = "#1A2B47"

    c_hotpink = "#FF69B4"
    
    c_pink = "#FFC0CB"
                            
    c_orange_pink = "#FF6666"
    
    c_gold = "#FFD700"
                    
    c_darkgold = "#B8860B"
    
    c_blue = "#0000FF"
    
    c_lightblue = "#2B60DE"
                            
    c_copper = "#CC3300"
    
    c_red = "#FF0000"
    
    c_lightred = "#F78181"
                            
    c_redpink = "#cc0052"
    
    c_yellow = "#FFFF33"
    
    c_blonde = "#FCF3CF"
    
    c_cream = "#FDF1B8"
                    
    c_brown = "#502F13"
    
    c_lightbrown = "#D2B48C"
    
    c_darkbrown = "#502F13"
    
    c_lightprune = "#a51a6a"
    
    c_prune = "#811453"
    
    c_magenta = "#A41CC6"
    
    c_lightmagenta = "#FF33FF"
                            
    c_purple = "#9933FF"
    
    c_softpurple = "#9683EC"
    
    c_darkpurple = "#3D007A"
    
    c_orange = "#FF9900" # #FD9B1C
                            
    c_lightorange = "#FFCC66"
    
    c_darkorange = "#D67229"
    
    c_emerald = "#009874"
    
    c_lightgreen = "#66FF99"
                            
    c_darkgreen = "#003333"
    
    c_green = "#00B050"
                            
    c_turquoise = "#30DADD"
    
    c_saphire = "#0F52BA"
                            
    c_azure = "#B7DBFF"
    
    c_crimson = "#DC143C"
                    
    c_firered = "#B22222"
    
    c_violet = "#C71585"
                            
    c_ui_unlocked = c_orange
    
    c_ui_sensitive = c_white
    
    c_ui_insensitive = c_lightgrey
    
    c_ui_dark = "#00000066" # "#000000CC" "#22222288"
    
    c_ui_darker = "#000000CC"
    
    c_ui_darkblue = "#000022AA"
    
    c_ui_brown = "#D2B48C66"
                            
    c_ui_light = "#FFECBFDD"                        
                            
## COLOR DICTIONARY

    color_dict = {
                  "+++" : c_emerald,
                  "++" : c_green,
                  "+" : c_lightgreen,
                  
                  "---" : c_crimson,
                  "--" : c_red,
                  "-" : c_lightred,
                  
                  "love +++" : c_hotpink,
                  "love ++" : c_hotpink,
                  "love +" : c_hotpink,
                  "love -" : c_red,
                  
                  "fear +++" : c_softpurple,
                  "fear ++" : c_softpurple,
                  "fear +" : c_softpurple,
                  "fear -" : "#A6DEEE",
                  
                  "special" : c_orange,
                  "average" : c_yellow,
                  "leveling" : c_steel,
                  "normal" : c_white,
                  }

## MODS ##
    
    detected_mods = {}
    
    if persistent.mods is None:
        persistent.mods = {}
    
    mod_traceback = ""
    updated_games = defaultdict(bool)

init -1 python:
    init_galleries()
                  
#init python:
#    update_mods()
                  
    